Index: trunk/language/da_DK/help/group_list.html
===================================================================
--- trunk/language/da_DK/help/group_list.html	(revision 18061)
+++ trunk/language/da_DK/help/group_list.html	(revision 18066)
@@ -1,5 +1,5 @@
 <h2>Gruppeliste</h2>
 
-<p>Her administreres grupper.</p>
+<p>Her håndteres grupper.</p>
 
 <h3>Tilføj en gruppe</h3>
@@ -13,5 +13,5 @@
 
 <ul>
-  <li>gå til brugeradministration (Admin &raquo; Users &raquo; Manage)</li>
+  <li>gå til brugeradministration (Admin &raquo; Brugere &raquo; Håndter)</li>
   <li>gå til siden med tilladelsesadministration for at tildele eller fjerne adgang til private albummer.</li>
   <li>slet gruppen (kræver en bekræftelse)</li>
Index: trunk/language/da_DK/help/help_add_photos.html
===================================================================
--- trunk/language/da_DK/help/help_add_photos.html	(revision 18061)
+++ trunk/language/da_DK/help/help_add_photos.html	(revision 18066)
@@ -1,27 +1,21 @@
-<p> Flere m&aring;der at tilf&oslash;je dine billeder i dit galleri: </p>
+<p>Nogle måder at tilføje fotografier til dit galleri:</p>
 
 <ul>
-   <li> <strong> Direkte upload </strong> i din web browser er den
-   enkleste og mest umiddelbare m&aring;de. Det afh&aelig;nger af dine Browserfunktioner
-   og din webserver. For en stor m&aelig;ngde fotos eller hvis du st&oslash;der p&aring; nogle problemer,
-   venter de andre metoder, bare p&aring; dig! </li>
+  <li><strong>Direkte upload</strong> i din webbrowser er den mest simple og lettest tilgængelige måde. Det afhænger af din browsers muligheder og din webserver. Når der er tale om store mængder fotografier, eller i tilfælde af at du løber ind i problemer, er de andre metoder klar til brug!</li>
 </ul>
 
-<p class="nextStepLink"> <a href="admin.php?page=photos_add&section=direct"> G&aring; til Direkte Upload </a> </p>
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Gå til direkte upload</a></p>
 
 <ul>
-   <li> <strong> pLoader </strong> er en desktop applikation, der skal installeres p&aring; din computer. Tr&aelig;k og slip billeder i pLoader vindue, klik p&aring; <em> "Upload til Piwigo" </em> og lad pLoader g&oslash;re arbejdet. Du kan finde andre desktop applikationer s&aring;som <strong> WinToPiwigo </strong> eller <strong> Digikam </strong> Eksporter plugin til Piwigo. </Li>
+  <li><strong>pLoader</strong> er en desktopapplikation, som installeres på din computer. Træk og slip fotografier ind i pLoader-vinduet, klik på <em>"Upload to Piwigo"</em> og lad pLoader gøre arbejdet. Du kan finde andre desktopapplikationer, så som <strong>WinToPiwigo</strong> eller eksportplugin'en <strong>digiKam</strong> til Piwigo.</li>
 </ul>
 
-<p class="nextStepLink"> <a href="admin.php?page=photos_add&section=ploader"> G&aring; til pLoader </a> </p>
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Gå til pLoader</a></p>
 
 <div id="helpSynchro">
 <ul>
-   <li> <strong> FTP overf&oslash;rsel </strong> er den mest anbefalede m&aring;de at tilf&oslash;je en
-   meget stor samling af billeder med et minimum antal klik. F&oslash;lg
-   guiden til at forberede dine billeder. FTP-metode kan du styre pr&aelig;cist
-   den fysiske organisering af dine billeder p&aring; din server. </li>
+  <li><strong>Ftp-overførsel</strong> er den mest anbefalede metode, at tilføje en meget stor mængde fotografier med et minimalt antal klik. Følg vejledningen for at klargøre dine fotografier. Ftp-metoden giver mulighed for, nøjagtigt at kontrollere hvordan fotografierne organiseres fysisk på serveren.</li>
 </ul>
 
-<p class="nextStepLink"> <a href="admin.php?page=photos_add&section=ftp"> G&aring; til FTP </a> </p>
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Gå til ftp</a></p>
 </div>
Index: trunk/language/da_DK/help/help_groups.html
===================================================================
--- trunk/language/da_DK/help/help_groups.html	(revision 18061)
+++ trunk/language/da_DK/help/help_groups.html	(revision 18066)
@@ -4,8 +4,8 @@
 <span class="pwgScreen">Administration &raquo; Brugere &raquo; Grupper</span>
 og associerede brugere til denne gruppe i 
-<span class="pwgScreen">Administration &raquo; Brugere &raquo; Administrer</span>.</P>
+<span class="pwgScreen">Administration &raquo; Brugere &raquo; Håndter</span>.</P>
 
 <p>En bruger kan tilhøre flere grupper. Autorisation går forud for
-forbud: Hvis brugeren "Jack" tilhører grupperne "familie" og "venner", og
-at kun gruppen "familie" kan se album "Jul 2010" album så vil 
+forbud: Hvis brugeren "Jack" tilhører grupperne "Familie" og "Venner", og
+kun gruppen "Familie" kan se albummet "Jul 2010", så vil 
 "Jack" være i stand til at se "Jul 2010".</p>
Index: trunk/language/da_DK/help/help_misc.html
===================================================================
--- trunk/language/da_DK/help/help_misc.html	(revision 18066)
+++ trunk/language/da_DK/help/help_misc.html	(revision 18066)
@@ -0,0 +1,9 @@
+<p>Når du har oprettet dit galleri, kan du opsætte det for dine besøgende
+<ul>
+	<li>Vælg en passende standardvisning i <span class="pwgScreen">Administration &raquo; Opsætning &raquo; Valgmuligheder</span>, fanen <span class="pwgScreen">Gæsteindstillinger</span></li>
+	<li>Standardtema i <span class="pwgScreen">Administration &raquo; Opsætning &raquo; Temaer</span></li>
+	<li>Standardsprog i <span class="pwgScreen">Administration &raquo; Opsætning &raquo; Sprog</span></li>
+ </ul>
+ Som standard arver alle nye brugere disse egenskaber ved registreringen.
+</p>
+<p>Hvis du har et spørgsmål, kan Piwigo-fællesskabet med glæde hjælpe dig i <a href="http://piwigo.org/forum">dets forum</a>.</p>
Index: trunk/language/da_DK/help/help_permissions.html
===================================================================
--- trunk/language/da_DK/help/help_permissions.html	(revision 18066)
+++ trunk/language/da_DK/help/help_permissions.html	(revision 18066)
@@ -0,0 +1,54 @@
+<fieldset>
+<legend>Tilladelser til fotografier</legend>
+
+<p>Hvert fotografi har et <strong>privatlivsniveau</strong> (en lås). Hver bruger har også et privatlivsniveau (en nøgle). Der er fem privatlivsniveauer:</p>
+<ol>
+  <li>Ingen</li>
+  <li><em>Bekendt</em></li>
+  <li><em>Venner (som er højere end en bekendt)</em></li>
+  <li><em>Familie (som er højere end en ven)</em></li>
+  <li><em>Admins (som er højere end noget andet niveau)</em></li>
+</ol>
+
+<p>Højere niveauer har tilladelser fra lavere niveauer. For en given bruger, jo højere privatlivsniveau, desto flere fotografier kan vedkommende se.</p>
+
+<p>Hvis for eksempel fotografiet "peter_bryllup-0024.jpg" har <em>"Familie"</em> som privatlivsniveau, så:</p>
+<ul>
+  <li>Peter (som er en <em>"Admin"</em>) vil kunne se fotografiet, fordi <em>"Admins"</em> kan se alle fotografier</li>
+  <li>Beth (som er et <em>"Familie"</em>-medlem) vil også kunne se fotografiet</li>
+  <li>Mary (som bare er en <em>"Ven"</em>) vil ikke kunne se fotografiet</li>
+</ul>
+
+<p>En bruger, som ikke har tilladelse til at se et albums indhold, vil ikke se albummet selv, ikke engang dets titel. Det samme princip gælder et tag.</p>
+
+<p>Du kan opsætte en brugers privatlivsniveau på siden <span class="pwgScreen">Administration &raquo; Brugere &raquo; Håndter</span>.</p>
+
+</fieldset>
+
+<fieldset>
+<legend>Tilladelser til albummer</legend>
+
+<p>Hvis privatlivsniveauerne, ikke passer til dine behov, kan du også håndtere albumtilladelser for en bruger eller en gruppe. Du kan håndtere fotografiers og albummers tilladelser på samme tid, uden konflikter.</p>
+
+<p>Du kan forbyde adgang til albummer. Skift albummets adgangstype til "privat", hvis du ønsker at håndtere tilladelser.</p>
+
+<p>Du kan gøre et album privat ved at redigere et enkelt album
+(<span class="pwgScreen">Administration &raquo; Albummer &raquo; Håndter
+&raquo; edit</span>) eller ved at opsætte indstillinger for hele dit albumtræ
+(<span class="pwgScreen">Administration &raquo; Albummer &raquo;
+Egenskaber &raquo; Offentlig / Privat</span>).</p>
+
+<p>Når et album er gjort privat, kan du håndtere tilladelserne for grupper og brugere ved hjælp af tre sider:</p>
+
+<ul>
+
+  <li><span class="pwgScreen">Administration &raquo; Brugere &raquo; Håndter &raquo;
+  tilladelseshandling</span> (et link pr. bruger)</li>
+
+  <li><span class="pwgScreen">Administration &raquo; Users &raquo; Grupper &raquo;
+  tilladelseshandling</span> (et link pr. gruppe)</li>
+
+  <li><span class="pwgScreen">Administration &raquo; Albums &raquo; Håndter &raquo; rediger handler vedr. albumtilladelser</span> (et link pr. album)</li>
+
+</ul>
+</fieldset>
Index: trunk/language/da_DK/help/help_virtual_links.html
===================================================================
--- trunk/language/da_DK/help/help_virtual_links.html	(revision 18061)
+++ trunk/language/da_DK/help/help_virtual_links.html	(revision 18066)
@@ -6,3 +6,3 @@
 
 <p>Virtuelle albummer er baseret på samme koncept: de har ingen tilsvarende mappe. Opret virtuelle 
-albummer fra <span class="pwgScreen">Administration &raquo; Albums &raquo; Manage</span>.</p>
+albummer fra <span class="pwgScreen">Administration &raquo; Albummer &raquo; Håndter</span>.</p>
Index: trunk/language/da_DK/help/history.html
===================================================================
--- trunk/language/da_DK/help/history.html	(revision 18061)
+++ trunk/language/da_DK/help/history.html	(revision 18066)
@@ -1,5 +1,5 @@
 <h2>Historik</h2>
 
-<p>På disse sider overvåger man sit galleris besøgshistorik jævnfør indstillingerne valgt i: Administration &raquo; Configuration &raquo; Options &raquo; History</p>
+<p>På disse sider overvåger man sit galleris besøgshistorik jævnfør indstillingerne valgt i: Administration &raquo; Opsætning &raquo; Valgmuligheder &raquo; Historik</p>
 	
 <h3>Statisk</h3>
Index: trunk/language/da_DK/help/maintenance.html
===================================================================
--- trunk/language/da_DK/help/maintenance.html	(revision 18061)
+++ trunk/language/da_DK/help/maintenance.html	(revision 18066)
@@ -10,5 +10,5 @@
 <ul>
   <li><strong>Opdatering af albumoplysninger:</strong> Følgende oplysninger kontrolleres i hvert album, og opdateres om nødvendigt: Liste over overordnede albummer, antal fotografier, senste fotodato, placering blandt albummer på samme niveau, position blandt alle albummer. Handlingen kontrollerer også om de repræsentative fotografier er konsistente.</li>
-  <li><strong>Opdatering af fotografiers oplysninger:</strong> Følgende oplysninger opdateres for hvert fotografi: Fuld sti til filen, gennemsnitlig bedømmelse. <em>Advarsel</em>, må ikke forveksles: metadataoplysninger skal synkroniseres fra <span class="pwgScreen">Administration &raquo; Tools &raquo; synchronise</span>, eller på ændringssiden hørende til et enkelt fotografi (ved hjælp af fx <span class="pwgScreen">Fotografi</span>).</li>
+  <li><strong>Opdatering af fotografiers oplysninger:</strong> Følgende oplysninger opdateres for hvert fotografi: Fuld sti til filen, gennemsnitlig bedømmelse. <em>Advarsel</em>, må ikke forveksles: metadataoplysninger skal synkroniseres fra <span class="pwgScreen">Administration &raquo; Værktøjer &raquo; Synkroniser</span>, eller på ændringssiden hørende til et enkelt fotografi (ved hjælp af fx <span class="pwgScreen">Fotografi</span>).</li>
 </ul>
 <ul>
@@ -18,5 +18,5 @@
 
 <ul>
-  <li><strong>Tøm historikdetaljer:</strong> Slet alle linjer fra historiktabellen. Siden <span class="pwgScreen">Administration &raquo; Tools &raquo; History</span> vil ikke længere vise oplysninger om forudgående historik. <em>Advarsel:</em> alle data mistes, uden det på nogen måden er muligt at få dem tilbage.</li>
+  <li><strong>Tøm historikdetaljer:</strong> Slet alle linjer fra historiktabellen. Siden <span class="pwgScreen">Administration &raquo; Værktøjer &raquo; Historik</span> vil ikke længere vise oplysninger om forudgående historik. <em>Advarsel:</em> alle data mistes, uden det på nogen måden er muligt at få dem tilbage.</li>
   <li><strong>Tøm historiksammendrag:</strong> Slet alle sammendragsoplysninger om besøgshistorik. Sammendraget beregnes ud fra historikdetaljerne.</li>
   <li><strong>Tøm sessions:</strong> Slet udløbne brugersessioner.</li>
Index: trunk/language/da_DK/help/photos_add_ftp.html
===================================================================
--- trunk/language/da_DK/help/photos_add_ftp.html	(revision 18061)
+++ trunk/language/da_DK/help/photos_add_ftp.html	(revision 18066)
@@ -61,6 +61,6 @@
   <li><em>Advarsel</em>: Navnene på mapper og filer må kun indeholde bogstaver, tal, "-", "_" eller ".". Ingen mellemrum eller accenttegn.</li>
 
-  <li>Når fotografierne er korrekt placeret i mapperne, går man til: <span class="pwgScreen">Administration &raquo; Tools &raquo;
-  Synchronize</span></li>
+  <li>Når fotografierne er korrekt placeret i mapperne, går man til: <span class="pwgScreen">Administration &raquo; Værktøjer &raquo;
+  Synkroniser</span></li>
 
 </ul>