Index: trunk/language/da_DK/help/cat_modify.html
===================================================================
--- trunk/language/da_DK/help/cat_modify.html	(revision 18066)
+++ trunk/language/da_DK/help/cat_modify.html	(revision 18086)
@@ -50,12 +50,12 @@
 <h3>Repræsentanten</h3>
 
-<p>Albumsrepræsentanten er miniaturebilledet, der vises på hovedsiden (<span class="pwgScreen">category.php</span>), som repræsentant for albummet, når det kun indeholder underalbummer og ingen fotoer (lige som rodalbummet).</p>
+<p>Albumsrepræsentanten er miniaturebilledet, der vises på hovedsiden (<span class="pwgScreen">category.php</span>), som repræsentant for albummet, når det kun indeholder underalbummer og ingen fotografier (lige som rodalbummet).</p>
 
 <p>Foto fra et album:</p>
 
 <ul>
-  <li><span class="pwgScreen">Fotoside</span>: En af aktionsknapperne giver mulighed for at vælge det aktuelle billede som repræsentant for det viste album. Knappen er kun tilgængelig for administratorer.</Li>
+  <li><span class="pwgScreen">Fotoside</span>: En af handlingsknapperne giver mulighed for at vælge det aktuelle billede som repræsentant for det viste album. Knappen er kun tilgængelig for administratorer.</Li>
   <li><span class="pwgScreen">Ændring af fotooplysninger</span> i administration. Siden er tilgængelig fra <span class="pwgScreen">picture.php</span> eller <span class="pwgScreen">Batchadministration</span> i <em>enhedstilstand</em> .Se hjælpen til denne side for flere oplysninger.</li>
-  <li><span class="pwgScreen">Administration &raquo; Albums  &raquo; Egenskaber, Repræsentant</span>. Se hjælpen til denne side for flere oplysninger.</li>
+  <li><span class="pwgScreen">Administration &raquo; Albummer  &raquo; Egenskaber, Repræsentant</span>. Se hjælpen til denne side for flere oplysninger.</li>
   <li><span class="pwgScreen">Rediger album</span> (den aktuelle side).</li>
 </Ul>
@@ -63,9 +63,9 @@
 <p>Valg af repræsentant afhænger af <code>allow_random_representative</code>-opsætningsparameteret (se <span class="filnavn">include/config_default.inc.php</span>).</p>
 
-<p>I standardtilstand (<code>allow_random_representative</code> sat til false), er hvert album indeholdende mindst et element, repræsenteret af et fast element. Når det er opsat (ved oprettelsen af albummet), ændres repræsentanten kun når en administrator beder om det. Hvis repræsentanten ikke er hensigtsmæssig, kan du bede om at <strong>Finde en ny tilfældig repræsentant</strong>.</p>
+<p>I standardtilstand (<code>allow_random_representative</code> sat til false), er hvert album indeholdende mindst et element, repræsenteret af et fast element. Når det er opsat (ved oprettelsen af albummet), ændres repræsentanten kun når en administrator beder om det. Hvis repræsentanten ikke er hensigtsmæssig, kan du benytte <strong>Find en ny tilfældig repræsentant</strong>.</p>
 
 <p>Hvis <code>allow_random_representative</code>-opsætningsparameteret er sat til true, vil et album, der indeholder billeder, ikke have en fast repræsentant. Benyt blot knappen <strong>Slet repræsentant</strong>.</p>
 
-<p>Hvis albummet kun indeholder underalbummer og ingen fotoer, kan det ikke desto mindre være repræsenteret af ethvert element, takket være siden <span class="pwgScreen">Ændring af fotooplysninger</span>. Den eneste valgmulighed på den aktuelle side er knappen <strong>Slet repræsentant</strong>.</p>
+<p>Hvis albummet kun indeholder underalbummer og ingen fotografier, kan det ikke desto mindre være repræsenteret af ethvert element, takket være siden <span class="pwgScreen">Ændring af fotooplysninger</span>. Den eneste valgmulighed på den aktuelle side er knappen <strong>Slet repræsentant</strong>.</p>
 
 <h3>Knyt alle billeder i et album til et nyt album</h3>
Index: trunk/language/da_DK/help/configuration.html
===================================================================
--- trunk/language/da_DK/help/configuration.html	(revision 18086)
+++ trunk/language/da_DK/help/configuration.html	(revision 18086)
@@ -0,0 +1,95 @@
+<h2>Opsætning</h2>
+
+<p>Her foretager administratoren grundlæggende opsætning af sit galleri.  Der vises faktisk kun simple opsætningsparametre, som skulle være tilstrækkeligt for langt størstedelen af administratorer. Ønsker du at se mange andre (og avancerede) opsætningsparametre, så kig i filen med standardopsætningen <span
+class="filename">include/config_default.inc.php</span>.</p>
+
+<p>Siden er opdelt i forskellige afsnit, hvor opsætningsparametrene er grupperet efter emne.</p>
+
+
+<h3>Primært</h3>
+<ul>
+  <li><strong>Gallerititel</strong>: anvendes i RSS-feed og notifikation pr. mail.</li>
+
+  <li><strong>Sidebanner</strong>: vises øverst på alle offentlige sider.</li>
+
+  <li><strong>Galleri-URL</strong>: anvendes i RSS-feed'en.</li>
+
+  <li><strong>Lås galleri</strong>: Lås hele galleriet på grund af vedligeholdelse. Kun administratorer kan tilgå galleriet.</li>
+
+  <li><strong>Bedømmelse</strong>: Funktionen til bedømmelse af fotografier er aktiveret.</li>
+
+  <li><strong>Gæsters bedømmelse</strong>: Selv ikke-registrerede brugere kan bedømme billeder.</li>
+
+  <li><strong>Tillad brugerregistrering</strong>: Alle kan registrere sig.</li>
+
+  <li><strong>Mailadresse er krævet for alle brugere</strong>: mailadressen vil blive kontrolleret ved registrering eller profilopdatering, bortset fra hvis handlingen foretages af en administrator.</li>
+
+  <li><strong>Send mail til admins når en ny bruger registrerer sig</strong>: administratorer notificeres pr. mail, hver gang nogen registrerer sig.</li>
+  
+  <li><strong>Standard for fotorækkefølge</strong>: du kan definere en personliggjort rækkefølge ved hjælp af disse dropdownmenuer.</li>
+
+</ul>
+
+<h3>Historik</h3>
+
+  <p>Besøg på siderne <span
+  class="pwgScreen">category.php</span> og <span
+  class="pwgScreen">picture.php</span> vil blive gemt i tabellen <code>history</code>.</p>
+  
+  <p>Besøg vil blive vist i <span  class="pwgScreen">Administration &raquo; Værktøjer &raquo; Historik</span>.</p>
+
+<ul>
+  <li><strong>Gem gæsters sidebesøg</strong>: gæsters sidebesøg gemmes.</li>
+
+  <li><strong>Gem brugeres sidebesøg</strong>: registrerede brugeres sidebesøg gemmes.</li>
+
+  <li><strong>Gem administratorers sidebesøg</strong>: administratorers sidebesøg gemmes.</li>
+
+</ul>
+
+<h3>Kommentarer</h3>
+<ul>
+
+  <li><strong>Kommentarer til alle</strong>: Selv ikke-registrerede gæster kan skrive kommentarer.</li>
+
+  <li><strong>Antal kommentarer pr. side</strong>.</li>
+
+  <li><strong>Godkendelse</strong>: en administrator skal godkende brugerkommentarer, før de bliver synlige på webstedet. Godkendelse af brugerkommentarer foretages på siden <span class="pwgScreen">Administration &raquo; Værktøjer &raquo; Ventende kommentarer</span>.</li>
+
+  <li><strong>Send mail til admins når en gyldig kommentar gemmes</strong>: Sender en e-mail til administratorerne når en bruger gemmer en kommentar og denne godkendes.</li>
+
+  <li><strong>Send mail til admins når en kommentar kræver godkendelse</strong>: Sender en e-mail til administratorerne når en bruger gemmer en kommentar, som kræver admingodkendelse. Godkendelse af brugerkommentarer foretages på siden <span class="pwgScreen">Administration &raquo; Værktøjer &raquo; Ventende kommentarer</span>.</li>
+
+</ul>
+
+<h3>Standardvisning</h3>
+
+<p>Her ændrer man valgmulighederne i forbindelse med visning for guest-brugeren, standardbrugeren som ikke har en konto.  Når der er logget på, kan valgmulighederne overtrumfes af brugerens egne valgmuligheder (som ændres i <span class="pwgScreen">profil</span>).</p>
+
+<p>Det er muligt at ændre visningsvalgmulighederne for alle eksisterende brugere på siden <span class="pwgScreen">Administration &raquo; Brugere &raquo; Håndter</span>, hvor man kan udvælge brugere.</p>
+
+<ul>
+
+  <li><strong>Sprog</strong>: Gælder kun Piwigo-ettiketter. Albumnavne, fotografinavne og alle beskrivelsesfelter er ikke oversætbare.</li>
+
+  <li><strong>Antal fotografier pr. række</strong></li>
+
+  <li><strong>Antal rækker pr. side</strong></li>
+
+  <li><strong>Grænsefladetema</strong></li>
+
+  <li><strong>Seneste periode</strong>: Efter dage. Periode under hvilken et fotografi vises som nyt. Skal være større end 1 dag.</li>
+
+  <li><strong>Åbn alle albummer</strong>: Åbn alle albummer som standard i menuen. <em>Advarsel</em>: valgmuligheden er ressourceintensiv og kan medføre en enorm menu, hvis dit albumtræ indeholder mange albummer.</li>
+
+  <li><strong>Vis antal kommentarer</strong>: Vis antal kommentarer til hvert fotografi på miniturebilledsiden. Ressourceintensiv.</li>
+
+  <li><strong>Vis antal visninger</strong>: Vis et fotografis antal visninger, lige under dets miniturebilleds på miniturebilledsiden. Kun når det avancerede opsætningsparameter er:<br>
+  $conf['show_nb_hits'] = true; <br>
+  Bemærk: false som standard.</li>
+
+  <li><strong>Maksimal bredde på fotografierne</strong>: maksimal visningsbredde.  Fotografier, som er større end denne indstilling vil blive skaleret ved visningen.  Frem for at benytte denne indstilling, kan du overveje at ændre bredden på dine fotografier; det er en bedre praksis.</li>
+
+  <li><strong>Maksimal højde på fotografierne</strong>: tilsvarende opsætningen af maksimal bredde.</li>
+
+</ul>
Index: trunk/language/da_DK/help/extend_for_templates.html
===================================================================
--- trunk/language/da_DK/help/extend_for_templates.html	(revision 18086)
+++ trunk/language/da_DK/help/extend_for_templates.html	(revision 18086)
@@ -0,0 +1,55 @@
+<h2>Opsætning af skabelonudvidelsen</h2>
+
+<h3>Om</h3>
+<p>Dit Piwigo-galleri kan tilpasses ved at udskifte eksisterende skabelonfiler med tilpassede udgaver.  For eksempel
+kan standardheaderskabelonen (header.tpl) erstattes med en tilpasset headerskabelon (my-header.tpl).  Efter at have gemt ændringerne i databasen, vil galleriet vise den tilpassede header i stedet for den oprindelige header.<br>
+Skabelonudvidelser er en god måde at oprette tilpassede temaer på for både nye og avancerede brugere.  Anvendt sammen med LocalFiles Editor kan du oprette dine egne nedarvede temaer.</p>
+
+<h3>Oprindelig skabelon</h3>
+<p>Et tema indeholder et antal skabelonfiler, som udgår gallerisiderne.  Det er de oprindelige skabeloner.</p>
+
+<h3>Valgfrit URL-nøgleord</h3>
+<p>Det er ord, som findes i galleri-URL'en efter et modulnavn.  De kan også være aktive permalinks  (Se permalink-dokumentationen for flere oplysninger).  <a href="#warnings">ADVARSEL:</a> hvis den samme oprindelige skabelon og det samme nøgleord anvendes i mere end én tilpasset skabelon, er kun den seneste aktiv.</p>
+
+<h3>Bundet tema</h3>
+<p>Det bundne tema, er temaet hvis skabelonfiler udskiftes.</p>
+
+<h3>Hvor er de oprindelige skabeloner?</h3>
+<p>Oprindelige skabeloner er de skabelonfiler, som leveres med de enkelte teamer.  De er gemt i <em>/themes/default/template</em> (eller <em>themes/<temanavn>/template</em>).  Disse skabelonfiler bør ikke redigeres, hvor de befinder sig, da ændringer vil gå tabt når temaet opgraderes.<br>
+Understøttede oprindelige skabeloner er blandt andre:</p>
+<ul>
+  <li><span class="filename">index.tpl</span></li>
+  <li><span class="filename">mainpage_categories.tpl</span> og/eller <span class="filename">thumbnails.tpl</span></li>
+  <li><span class="filename">menubar.tpl</span></li>
+  <li><span class="filename">header.tpl</span> og/eller <span class="filename">footer.tpl</span></li>
+  <li><span class="filename">picture_content.tpl</span> og/eller <span class="filename">picture.tpl</span></li>
+  <!-- <li><span class="filename">slideshow.tpl</span></li> -->
+  <li><span class="filename">profile.tpl</span> og/eller <span class="filename">profile_content.tpl</span></li>
+  <li><span class="filename">tags.tpl</span></li>
+  <li><span class="filename">upload.tpl</span></li>
+  <li><span class="filename">about.tpl</span></li>
+  <li><span class="filename">popuphelp.tpl</span></li>
+  <li><span class="filename">search.tpl</span> og/eller <span class="filename">search_rules.tpl</span></li>
+  <li><span class="filename">nbm.tpl</span> og/eller <span class="filename">notification.tpl</span></li>
+  <li><span class="filename">identification.tpl</span> og/eller <span class="filename">register.tpl</span></li>
+  <li><span class="filename">redirect.tpl</span></li>
+</ul>
+
+<h3>Gemning af tilpassede skabeloner</h3>
+<p>Tilpassede skabeloner bør gemmes i mappen template-extension eller undermapper.  For eksempel <em>/template-extension/min-standard/header.tpl</em> (eller <em>/template-extension/<mit-temas-navn>/header.tpl</em>).  Skabelonfiler kan have et vilkårligt nanv, som slutter med filudvidelsen .tpl.  Skabelonfiler i undermapper viser sig på Skabelon-opsætningssiden som tilgængelige tilpassede skabeloner.</p>
+
+<h3>Aktivering af tilpassede skabeloner</h3>
+<p>Vælg den oprindelige skabelon, som skal erstattes.  Det er valgfrit om man vælger et URL-nøgleord for at sikre at den tilpassede skabelon kun vises på sider, med det nøgleord.  Vælg et bundet tema og ændringerne vil kun træde i kraft i det tema.  Gem dine ændringer i databasen.</p>
+
+<h3>Deaktivering af tilpassede skabeloner</h3>
+<p>Fravælg den oprindelige skabelon og gem ændringerne i databasen.<br>
+Slet filerne med den tilpassede skabelon fra mappen template-extension.</p>
+
+<a name="warnings"></a>
+<h3>Advarsler</h3>
+<ul>
+  <li><strong>Den oprindelige skabelon</strong> skal være den oprindelige skablon, ellers kan du opleve uforudsigelige resultater.</li>
+  <li>Hvis den samme oprindelige skabelon og det samme URL-nøgleord anvendes i mere end en tilpasset skabelon, vil kun den sidste være aktiv.</li>
+  <li>Distribuerede eksempler på skabelonfiler er kun til testformål.  Rediger dem ikke.  Opret dine egne eller kopi eksisterende temaskabelonfiler til <em>/template-extension/<mit-tema>/</em></li>
+  <li>Når en tilpasset skabelon slettes, genaktiveres den oprindelige skabelonfil med det samme.</li>
+</ul>