Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 18107)
+++ /trunk/language/da_DK/common.lang.php	(revision 18108)
@@ -45,8 +45,8 @@
 $lang['%d comment'] = '%d kommentar';
 $lang['%d comments'] = '%d kommentarer';
-$lang['%d hit'] = '%d hit';
-$lang['%d hits'] = '%d hits';
-$lang['%d new photo'] = '%d nyt element';
-$lang['%d new photos'] = '%d nye elementer';
+$lang['%d hit'] = '%d visning';
+$lang['%d hits'] = '%d visninger';
+$lang['%d new photo'] = '%d nyt fotografi';
+$lang['%d new photos'] = '%d nye fotografier';
 $lang['%d new user'] = '%d ny bruger';
 $lang['%d new users'] = '%d nye brugere';
@@ -59,5 +59,5 @@
 $lang['Album'] = 'Album';
 $lang['Close this window'] = 'Luk dette vindue';
-$lang['Complete RSS feed (photos, comments)'] = 'Komplet RSS-feed (fotoer, kommentarer)';
+$lang['Complete RSS feed (photos, comments)'] = 'Komplet RSS-feed (fotografier, kommentarer)';
 $lang['Confirm Password'] = 'Bekræft adgangskode';
 $lang['Connection settings'] = 'Loginindstillinger';
@@ -70,5 +70,5 @@
 $lang['Dimensions'] = 'Dimensioner';
 $lang['Display'] = 'Visning';
-$lang['Each listed rule must be satisfied.'] = 'Hver nævnt regel skal være opfyldt.';
+$lang['Each listed rule must be satisfied.'] = 'Hvert nævnt kriterium skal være opfyldt.';
 $lang['Email address is missing. Please specify an email address.'] = 'E-mail-adresse mangler. Angiv venligst en e-mail-adresse.';
 $lang['Email address'] = 'E-mail-adresse';
@@ -81,8 +81,8 @@
 $lang['Filter'] = 'Filter';
 $lang['Forgot your password?'] = 'Har du glemt din adgangskode?';
-$lang['Go through the gallery as a visitor'] = 'Kig i galleriet som en besøgende';
+$lang['Go through the gallery as a visitor'] = 'Brug galleriet som en besøgende';
 $lang['Help'] = 'Hjælp';
 $lang['Identification'] = 'Identifikation';
-$lang['Photos only RSS feed'] = 'RSS-feed kun med fotoer';
+$lang['Photos only RSS feed'] = 'RSS-feed kun med fotografier';
 $lang['Keyword'] = 'Nøgleord';
 $lang['Links'] = 'Links';
@@ -113,5 +113,5 @@
 $lang['Tag'] = 'Tag';
 $lang['Tags'] = 'Tags';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS-feedet giver besked om nyheder fra denne side: Nye fotoer, opdaterede albummer, nye kommentarer. Kræver en RSS-feedlæser.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS-feedet giver besked om nyheder fra denne side: Nye fotografier, opdaterede albummer, nye kommentarer. Kræver en RSS-feedlæser.';
 $lang['Unknown feed identifier'] = 'Ukendt feedidentifikation';
 $lang['User comments'] = 'Brugerkommentarer';
@@ -127,5 +127,5 @@
 $lang['ascending'] = 'stigende';
 $lang['author(s) : %s'] = 'forfatter(e) : %s';
-$lang['Expand all albums'] = 'Udvid alle albummer';
+$lang['Expand all albums'] = 'Åbn alle albummer';
 $lang['posted after %s (%s)'] = 'tilføjet efter %s (%s)';
 $lang['posted before %s (%s)'] = 'tilføjet før %s (%s)';
@@ -133,8 +133,8 @@
 $lang['posted on %s'] = 'tilføjet den %s';
 $lang['Best rated'] = 'Bedst bedømte';
-$lang['display best rated photos'] = 'vis bedste bedømte fotoer';
+$lang['display best rated photos'] = 'vis bedste bedømte fotografier';
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alle';
-$lang['display each day with photos, month per month'] = 'vis alle dage med fotoer, måned for måned';
+$lang['display each day with photos, month per month'] = 'vis alle dage med fotografier, måned for måned';
 $lang['View'] = 'Vis';
 $lang['chronology_monthly_calendar'] = 'Månedlig kalender';
@@ -165,5 +165,5 @@
 $lang['day'][6] = 'Lørdag';
 $lang['Default'] = 'Standard';
-$lang['delete this photo from your favorites'] = 'slet dette foto fra dine favoritter';
+$lang['delete this photo from your favorites'] = 'fjern dette fotografi fra dine favoritter';
 $lang['Delete'] = 'Slet';
 $lang['descending'] = 'faldende';
@@ -174,8 +174,8 @@
 $lang['excluded'] = 'udelukket';
 $lang['Your favorites'] = 'Dine favoritter';
-$lang['display your favorites photos'] = 'vis mine favoritfotoer';
+$lang['display your favorites photos'] = 'vis mine favoritfotografier';
 $lang['Favorites'] = 'Favoritter';
 $lang['First'] = 'Første';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galleriet er lukket pga. vedligeholdelse. Kom tilbage senere.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galleriet er lukket på grund af vedligeholdelse. Kig forbi senere.';
 $lang['Page generated in'] = 'Siden blev dannet på';
 $lang['guest'] = 'gæst';
@@ -195,9 +195,9 @@
 $lang['Language']='Sprog';
 $lang['last %d days'] = 'seneste %d dage';
-$lang['Last'] = 'Sidste';
+$lang['Last'] = 'Seneste';
 $lang['Logout'] = 'Log ud';
 $lang['obligatory'] = 'obligatorisk';
 $lang['display a calendar by creation date'] = 'viser en kalender over oprettelsesdatoer';
-$lang['display all photos in all sub-albums'] = 'vis alle fotoer i alle underalbummer';
+$lang['display all photos in all sub-albums'] = 'vis alle fotografier i alle underalbummer';
 $lang['return to normal view mode'] = 'tilbage til normal visning';
 $lang['display a calendar by posted date'] = 'viser en kalender over tilføjelsesdatoer';
@@ -215,40 +215,40 @@
 $lang['month'][9] = 'September';
 $lang['Most visited'] = 'Mest sete';
-$lang['display most visited photos'] = 'vis mest sete fotoer';
-$lang['The number of photos per page must be a not null scalar'] = 'Antallet af fotoer pr. side må ikke være nul';
-$lang['Number of photos per page'] = 'Antal fotoer pr. side';
+$lang['display most visited photos'] = 'vis mest sete fotografier';
+$lang['The number of photos per page must be a not null scalar'] = 'Antallet af fotografier pr. side må ikke være nul';
+$lang['Number of photos per page'] = 'Antal fotografier pr. side';
 $lang['Unknown identifier'] = 'Ukendt identifikation';
 $lang['New password'] = 'Ny adgangskode';
-$lang['Rate this photo'] = 'Bedøm dette foto';
+$lang['Rate this photo'] = 'Bedøm dette fotografi';
 $lang['Next'] = 'Næste';
 $lang['no rate'] = 'ingen bedømmelse';
-$lang['Photos posted within the last %d day.'] = 'Kun fotoer tilføjet inden for de seneste %d dage.';
-$lang['Photos posted within the last %d days.'] = 'Kun fotoer tilføjet inden for de seneste %d dage';
+$lang['Photos posted within the last %d day.'] = 'Kun fotografier tilføjet inden for de seneste %d dag.';
+$lang['Photos posted within the last %d days.'] = 'Kun fotografier tilføjet inden for de seneste %d dage';
 $lang['password updated'] = 'adgangskode opdateret';
 $lang['Recent period must be a positive integer value'] = 'Seneste periode skal være en positiv heltalsværdi';
-/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['photo'] = 'foto';
-$lang['Click on the photo to see it in high definition'] = 'Klik på foto for at se det i høj opløsning';
-$lang['Show file metadata'] = 'Vis fotoets metadata';
-$lang['Powered by'] = 'Powered by';
+$lang['photo'] = 'fotografi';
+$lang['Click on the photo to see it in high definition'] = 'Klik på fotografiet for at se det i høj opløsning';
+$lang['Show file metadata'] = 'Vis fotografiets metadata';
+$lang['Powered by'] = 'Drives af';
 $lang['Preferences'] = 'Indstillinger';
 $lang['Previous'] = 'Tidligere';
-$lang['Random photos'] = 'Tilfældige fotoer';
-$lang['display a set of random photos'] = 'vis et sæt tilfældigt valgte fotoer';
+$lang['Random photos'] = 'Tilfældige fotografier';
+$lang['display a set of random photos'] = 'vis et sæt tilfældigt valgte fotografier';
 $lang['Recent albums'] = 'Nyeste albummer';
 $lang['display recently updated albums'] = 'vis nyligt opdaterede albummer';
 $lang['Recent period'] = 'Seneste periode';
-$lang['Recent photos'] = 'Nye fotoer';
-$lang['display most recent photos'] = 'vis de nyeste fotoer';
-$lang['Redirection...'] = 'Omdirigering...';
+$lang['Recent photos'] = 'Nye fotografier';
+$lang['display most recent photos'] = 'vis de nyeste fotografier';
+$lang['Redirection...'] = 'Omdirigering ...';
 $lang['Please, enter a login'] = 'Indtast login';
-$lang['login mustn\'t end with a space character'] = 'login må ikke begynde med mellemrum';
+$lang['login mustn\'t end with a space character'] = 'login må ikke slutte med mellemrum';
 $lang['login mustn\'t start with a space character'] = 'login må ikke begynde med mellemrum';
 $lang['this login is already used'] = 'dette login er allerede i brug';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mail-adresse skal være på formen xxx@yyy.eee (eksempel: jack@altern.org)';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mailadresse skal være på formen xxx@yyy.eee (eksempel: jack@altern.org)';
 $lang['please enter your password again'] = 'Indtast din adgangskode igen';
 $lang['Auto login'] = 'Autologin';
 $lang['remove this tag from the list'] = 'fjern dette tag fra listen';
 $lang['representative'] = 'albums miniaturebillede';
-$lang['Search for Author'] = 'Søg efter fotograf';
+$lang['Search for Author'] = 'Søg efter forfatter';
 $lang['Search in albums'] = 'Søg i albummer';
 $lang['Search by date'] = 'Søg efter dato';
@@ -257,19 +257,19 @@
 $lang['Kind of date'] = 'Enhver dato';
 $lang['Search for words'] = 'Søg efter ord';
-$lang['Search for all terms'] = 'Søg efter alle nøgleord';
-$lang['Search for any term'] = 'Søg efter alle nøgleord';
+$lang['Search for all terms'] = 'Søg efter alle udtryk';
+$lang['Search for any term'] = 'Søg efter enkelte udtryk';
 $lang['Empty query. No criteria has been entered.'] = 'Tom forespørgsel. Ingen kriterier er indtastet.';
-$lang['Search results'] = 'Søgeresulter';
+$lang['Search results'] = 'Søgeresultater';
 $lang['Search in sub-albums'] = 'Søg i underalbummer';
 $lang['searched words : %s'] = 'søgte ord: %s';
 $lang['Contact'] = 'Kontakt';
 $lang['set as album representative'] = 'opsæt som albums miniaturebillede';
-$lang['Show number of comments'] = 'Vis antallet af kommentarer';
-$lang['Show number of hits'] = 'Vis antallet af hits';
+$lang['Show number of comments'] = 'Vis antal kommentarer';
+$lang['Show number of hits'] = 'Vis antal af visninger';
 $lang['slideshow'] = 'slideshow';
 $lang['stop the slideshow'] = 'stop slideshow';
-$lang['Specials'] = 'Særlige';
+$lang['Specials'] = 'Særligt';
 $lang['SQL queries in'] = 'SQL-forespørgsler i';
-$lang['display only recently posted photos'] = 'vis kun nyligt tilføjede fotoer';
+$lang['display only recently posted photos'] = 'vis kun nyligt tilføjede fotografier';
 $lang['return to the display of all photos'] = 'tilbage til alle fotoer';
 $lang['the beginning'] = 'begyndelsen';
@@ -283,5 +283,5 @@
 $lang['useful when password forgotten'] = 'nyttigt ved glemt adgangskode';
 $lang['Quick search'] = 'Hurtig søgning';
-$lang['Connected user: %s'] = 'Tilsluttet bruger: %s';
+$lang['Connected user: %s'] = 'Indlogget bruger: %s';
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Browser: %s';
@@ -300,5 +300,5 @@
 $lang['from %s to %s'] = 'fra %s til %s';
 $lang['Play of slideshow'] = 'Afspil slideshow';
-$lang['Pause of slideshow'] = 'Pause i slideshow';
+$lang['Pause of slideshow'] = 'Sæt slideshow på pause';
 $lang['Repeat the slideshow'] = 'Gentag slideshow';
 $lang['Not repeat the slideshow'] = 'Gentag ikke slideshow';
@@ -308,10 +308,10 @@
 $lang['Yes'] = 'Ja';
 $lang['No'] = 'Nej';
-$lang['%d photo']='%d foto';
-$lang['%d photos'] = '%d fotoer';
-$lang['%d photo is also linked to current tags'] = '%d foto er også linket til disse tags';
-$lang['%d photos are also linked to current tags'] = '%d fotoer er også linket til disse tags';
-$lang['display photos linked to this tag'] = 'Se fotoer knyttet til dette tag';
-$lang['photos posted during the last %d days'] = 'fotoer tilføjet de seneste %d dage';
+$lang['%d photo'] = '%d fotografi';
+$lang['%d photos'] = '%d fotografier';
+$lang['%d photo is also linked to current tags'] = '%d fotografi er også linket til disse tags';
+$lang['%d photos are also linked to current tags'] = '%d fotografier er også linket til disse tags';
+$lang['display photos linked to this tag'] = 'Se fotografier knyttet til dette tag';
+$lang['photos posted during the last %d days'] = 'fotografier tilføjet de seneste %d dage';
 $lang['Piwigo Help'] = 'Hjælp til Piwigo';
 $lang['Rank'] = 'Karakter';
@@ -320,6 +320,6 @@
 $lang['show tag cloud'] = 'vis tag-sky';
 $lang['cloud'] = 'sky';
-$lang['Reset to default values'] = 'Nulstil til standard';
-$lang['delete all photos from your favorites'] = 'slet alle fotoer fra dine favoritter';
+$lang['Reset to default values'] = 'Nulstil til standardværdier';
+$lang['delete all photos from your favorites'] = 'fjern alle fotografier fra dine favoritter';
 $lang['Sent by'] = 'Sendt af';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies er blokeret eller ikke understøttet af din browser. Aktiver cookies for at logge på.';
@@ -332,8 +332,8 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... eller deaktiver denne meddelelse, jeg klarer det selv';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hej %s, dit Piwigo-fotogalleri er tomt!';
-$lang['I want to add photos'] = 'Jeg vil tilføje fotoer';
+$lang['I want to add photos'] = 'Jeg vil tilføje fotografier';
 $lang['Manage this user comment: %s'] = 'Håndter denne brugerkommentar: %s';
 $lang['This author modified following comment:'] = 'Denne forfatter har ændret følgende kommentar:';
-$lang['This author removed the comment with id %d'] = 'Denne forfatter har fjernet kommentaren med id %d';
+$lang['This author removed the comment with id %d'] = 'Denne forfatter har fjernet kommentaren med id\'en %d';
 $lang['html tags are not allowed in login'] = 'html-tags er ikke tilladt i login';
 $lang['%d rates'] = '%d bedømmelser';
@@ -341,11 +341,11 @@
 $lang['Invalid username or email'] = 'Forkert brugernavn eller e-mail';
 $lang['Password reset is not allowed for this user'] = 'Nulstilling af adgangskode er ikke tilladt for denne bruger';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Bruger "%s" har ingen e-mail-adresse, nulstilling af adgangskode er ikke mulig';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Brugeren "%s" har ingen e-mail-adresse, nulstilling af adgangskode er ikke mulig';
 $lang['Someone requested that the password be reset for the following user account:'] = 'Nogen har anmodet om at nulstille adgangskoden til følgende brugerkonto:';
-$lang['Username "%s" on gallery %s'] = 'Brugernavn "%s" i galleri %s';
+$lang['Username "%s" on gallery %s'] = 'Brugernavnet "%s" i galleriet %s';
 $lang['To reset your password, visit the following address:'] = 'For at nulstille din adgangskode, skal du besøge følgende adresse:';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Hvis dette var en fejl, så ignorer e-mailen og der vil ikke ske noget.';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Hvis dette var en fejl, så ignorer e-mailen og der vil ikke ske yderligere.';
 $lang['Password Reset'] = 'Nulstil adgangskode';
-$lang['Check your email for the confirmation link'] = 'Check din e-mail for bekræftelseslink';
+$lang['Check your email for the confirmation link'] = 'Tjek din e-mail for bekræftelseslink';
 $lang['Invalid key'] = 'Forkert nøgle';
 $lang['The passwords do not match'] = 'Adgangskoderne stemmer ikke overens';
@@ -353,5 +353,5 @@
 $lang['Return to home page'] = 'Retur til forsiden';
 $lang['Please enter your username or email address.'] = 'Indtast dit brugernavn eller e-mail-adresse.';
-$lang['You will receive a link to create a new password via email.'] = 'Du vil via e-mail modtage et link til dannelse af ny adgangskode.';
+$lang['You will receive a link to create a new password via email.'] = 'Du vil via e-mail modtage et link til dannelse af en ny adgangskode.';
 $lang['Username or email'] = 'Brugernavn eller e-mail';
 $lang['Change my password'] = 'Skift min adgangskode';
@@ -361,6 +361,6 @@
 $lang['Edit'] = 'Rediger';
 $lang['Hello %s,'] = 'Hej %s,';
-$lang['Send my connection settings by email'] = 'Send mine indstillinger pr. e-mail';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Du er registreret, og du vil snart modtage en e-mail med dine kontooplysninger. Velkommen!';
+$lang['Send my connection settings by email'] = 'Send mine loginoplysninger pr. e-mail';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Du er registreret, og du vil snart modtage en e-mail med dine loginoplysninger. Velkommen!';
 $lang['Username modification'] = 'Ændring af brugernavn';
 $lang['Your username has been successfully changed to : %s'] = 'Dit brugernavn er ændret til: %s';
@@ -386,6 +386,6 @@
 $lang['2small'] = 'XXS - meget lille';
 $lang['xsmall'] = 'XS - ekstra lille';
-$lang['File name, A &rarr; Z'] = 'Filnavn, A &rarr; Z';
-$lang['File name, Z &rarr; A'] = 'Filnavn, Z &rarr; A';
+$lang['File name, A &rarr; Z'] = 'Filnavn, A &rarr; Å';
+$lang['File name, Z &rarr; A'] = 'Filnavn, Å &rarr; A';
 $lang['Photo title, A &rarr; Z'] = 'Fototitel, A &rarr; Z';
 $lang['Photo title, Z &rarr; A'] = 'Fototitel, Z &rarr; A';
@@ -400,5 +400,5 @@
 $lang['Numeric identifier, 1 &rarr; 9'] = 'Numerisk identifikation, 1 &rarr; 9'; 
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Numerisk identifikation, 9 &rarr; 1'; 
-$lang['Manual sort order'] = 'Manuel sorteringsorden';
+$lang['Manual sort order'] = 'Manuel sorteringsrækkefølge';
 
 $lang['%d rate'] = '%d bedømmelse';
@@ -406,7 +406,8 @@
 $lang['Forbidden'] = 'Ikke tilladt';
 $lang['Page not found'] = 'Siden blev ikke fundet';
-$lang['Permalink for album not found'] = 'Permalink for album blev ikke fundet';
+$lang['Permalink for album not found'] = 'Albums permalink blev ikke fundet';
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo stødte på en uoprettelig fejl';
-$lang['Requested album does not exist'] = 'Det forespurgte album eksisterer ikke';
-$lang['Requested tag does not exist'] = 'Den forespurgte tag eksisterer ikke';
+$lang['Requested album does not exist'] = 'Det valgte album findes ikke';
+$lang['Requested tag does not exist'] = 'Den valgte tag findes ikke';
+$lang['day']['1'] = 'Mandag';
 ?>