Index: /extensions/PersoFavicon/language/da_DK/description.txt
===================================================================
--- /extensions/PersoFavicon/language/da_DK/description.txt	(revision 18111)
+++ /extensions/PersoFavicon/language/da_DK/description.txt	(revision 18111)
@@ -0,0 +1,1 @@
+Erstat Piwigos favicon med en favicon i din lokale mappe.
Index: /extensions/PersoFavicon/language/da_DK/index.php
===================================================================
--- /extensions/PersoFavicon/language/da_DK/index.php	(revision 18111)
+++ /extensions/PersoFavicon/language/da_DK/index.php	(revision 18111)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/da_DK/plugin.lang.php	(revision 18111)
+++ /extensions/PersoFavicon/language/da_DK/plugin.lang.php	(revision 18111)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['help'] = 'Hjælp';
+$lang['pfi_actu'] = 'Der er en ikon i den lokale mappe:';
+$lang['pfi_actu2'] = 'ADVARSEL: Den vil blive udskiftet af de nyheder, du henter';
+$lang['pfi_aide1'] = 'Du kan tilføje en favicon ved hjælp af tilføjelsesformularen, den vil automatisk være i favorit-favicon.ico og erstatte den, som allerede er i den lokale mappe.<br> Maksimal filstørrelse er 5 KiB.<br>Afhængigt af browseren kan det tage lidt tid før ændringen træder i kraft.';
+$lang['pfi_aide1T'] = 'Tilføjelsesformular';
+$lang['pfi_aide2'] = 'Hvis du via ftp uploader en ikon med et andet navn som favicon, kan du tilføje den i din lokale opsætningsfil<br>$conf[\'PersoFavicon\']=\'dit filnavn\'';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_ajout'] = 'Tilføj en ikon';
+$lang['pfi_envoie'] = 'Upload til den lokale mappe';
+$lang['pfi_erreur_exist'] = 'Filen er udskiftet';
+$lang['pfi_erreur_ext'] = 'Du skal uploade en fil af typen .ico';
+$lang['pfi_erreur_mouve'] = 'Kan ikke kopiere filen til mappen "local"';
+$lang['pfi_erreur_nom'] = 'Ugyldigt filnavn';
+$lang['pfi_erreur_taille'] = 'Du skal uploade en fil på maksimalt 5 KiB';
+$lang['pfi_erreur_vide'] = 'Filen er ikke fundet';
+$lang['pfi_h2'] = 'Perso Favicon Plugin';
+$lang['pfi_ok'] = 'Filen er uploadet';
+$lang['pfi_select'] = 'Vælg din ikonfil (.ico)';
+$lang['pfi_validdef'] = 'Bekræft valget - if den findes i forvejen, overskrives den aktulle favicon';
+?>