Index: /extensions/ExtendedDescription/language/da_DK/help.html
===================================================================
--- /extensions/ExtendedDescription/language/da_DK/help.html	(revision 18113)
+++ /extensions/ExtendedDescription/language/da_DK/help.html	(revision 18114)
@@ -1,53 +1,51 @@
-Udvidet beskrivelse »en_UK engelsk [UK] Vis normal
-Fil indhold
+<h2>Udvidet beskrivelse</h2>
 
-<h2>Udvidet Beskrivelse</h2>
+<h3>Flersprogede beskrivelser</h3>
 
-<h3>Multisprogede beskrivelser</h3>
-
-<p>Multisprogede beskrivelser er placeret mellem [lang=xx] og [/lang] tags, hvor xx er sprogkoden (for eksempel en, es, fr). Der er også 2 specielle sprog: [lang=standard] og [lang=alle]</p>
+<p>Flersprogede beskrivelser er placeret mellem tag'ene [lang=xx] og [/lang], hvor xx er sprogkoden (for eksempel en, da, fr). Der er også to særlige sprog: [lang=default] og [lang=all]</p>
 
 <ul>
   <li><b>Eksempel</b>:<br>
   <br>
-<code>[lang=standard] standard beskrivelse [/lang]<br>
-[Lang=da] beskrivelse på engelsk [/lang]<br>
-[Lang = de] Deutsche Beschreibung [/lang] </code>
-</Li>
-</Ul>
+<code>[lang=default] standardbeskrivelse [/lang]<br>
+[lang=da] beskrivelse på dansk [/lang]<br>
+[lang=en] description in English [/lang]</code>
+</li>
+</ul>
 
-<p>standard beskrivelse vil blive anvendt, hvis beskrivelse ikke er tilgængelig i den tilsluttede brugeren valgte sprog.
-Hvis [lang=standard] ikke eksisterer, noget uden for de [Lang] tags, vil blive betragtet som standard beskrivelsen. </P>
+<p>Standardbeskrivelse anvendes hvis der ikke er en beskrivelse tilgængelig i den indloggede brugers sprog.
+Hvis [lang=default] ikke findes, vil alt uden for [lang]-tag'ene blive betragtet som standardbeskrivelsen.</p>
 
-<p><u>Special sprog <i>alle</i></u>: noget inde i [lang=alle] vil blive medtaget i beskrivelsen, anywhat den tilsluttede brugerdefinerede sprog er.
-Dette er først og fremmest nyttigt at inkludere HTML/JavaScript-kode inde i en beskrivelse.</P>
+<p><u>Særlige sprog <i>all</i></u>: alt inden for [lang=all] vil blive medtaget i beskrivelsen, uanset hvad den indloggede brugers sprog er opsat som.
+Dette er især nyttigt til at medtage HTML-/JavaScript-kode i en beskrivelse.</p>
 
-<h3>Udvidet beskrivelser</h3>
+<h3>Udvidede beskrivelser</h3>
 
-<p>uddybende beskrivelse tags gør det muligt at have en kort beskrivelse for albummet uden for albummet,
-en længere beskrivelse af albummet inde i albummet siden,
-eller endda 2 forskellige beskrivelser i albummet siden.</p>
+<p>Tags til uddybende beskrivelse gør det muligt, uden for albummet at have en kort albumbeskrivelse,
+en længere albumbeskrivelse inde i albummet, eller endda to forskellige beskrivelser på albumsiden.</p>
 
-<p>tag &lt;!--mere--&gt; tilføjer tekst til den korte beskrivelse<br>.
-tag &lt;!--komplet--&gt;. lade brugeren har 2 forskellige beskrivelser<br>
-tag <- op-ned--&gt; lade brugeren har en top og en bund beskrivelse</p>.
+<p>tag'et &lt;!--more--&gt; tilføjer tekst til den korte beskrivelse<br>.
+tag'et &lt;!--complete--&gt;. giver brugeren to forskellige beskrivelser<br>
+tag'et <--up-down--&gt; giver brugeren både en beskrivelse i toppen og i bunden</p>.
 
 <ul>
-  <li><b> tag &lt;!--mere--&gt; </b></li>
-</Ul>
-<code>kort beskrivelse &lt;!--mere--&gt; lang beskrivelse</code>
-<p>Kun den korte beskrivelse vises uden for albummet. På albummet siden, vil du se kort beskrivelse + lang beskrivelse.</P>
+  <li><b>tag'et &lt;!--more--&gt; </b></li>
+</ul>
+
+<code>kort beskrivelse &lt;!--more--&gt; lang beskrivelse</code>
+<p>Kun den korte beskrivelse vises uden for albummet. På albumssiden ser man den korte beskrivelse og den lange beskrivelse.</p>
 
 <ul>
-  <li><b> tag &lt;!--komplet--&gt;</b></li>
-</Ul>
-<code>kort beskrivelse &lt;!--komplet--&gt; lang beskrivelse</code>
-<p> Kun den korte beskrivelse vises uden for albummet. På albummet siden, vil du kun se den lange beskrivelse, så du har 2 forskellige beskrivelser.</P>
+  <li><b>tag'et &lt;!--complete--&gt;</b></li>
+</ul>
+
+<code>kort beskrivelse &lt;!--complete--&gt; lang beskrivelse</code>
+<p>Kun den korte beskrivelse vises uden for albummet. På albumssiden ser man kun den lange beskrivelse, så der er to forskellige beskrivelser.</p>
 
 <ul>
   <li><b>tag &lt;!--up-down--&gt;</b></li>
-Ul>
-<code>toppen Beskrivelse &lt;!--up-down--&gt; bund beskrivelse</code>
-<p>Kun den øverste beskrivelsen vises uden for albummet. På albummet siden, er den øverste beskrivelsen vises over miniaturerne, er den nederste beskrivelsen vises under de små billeder.</P>
+<ul>
+<code>topbeskrivelse &lt;!--up-down--&gt; bundbeskrivelse</code>
+<p>Kun den øverste beskrivelsen vises uden for albummet. På albumssiden vises den øverste beskrivelsen over miniaturebilleder og den nederste beskrivelse vises under miniaturebillederne.</p>
 
 <h3>Indsæt et album eller et billede</h3>
@@ -55,79 +53,83 @@
 <ul>
   <li><b>tag [cat=xx]</b></li>
-</Ul>
-<p>tag indsætter et album i beskrivelsen, hvor xx er albummet identifikator.</p>
+</ul>
+
+<p>tag'et indsætter et album i beskrivelsen, hvor xx er albumidentikatoren.</p>
 
 <ul>
   <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
 </ul>
-<p>Dette tag giver mulighed for at indsætte et billede i enhver størrelse med:<br><br>
+
+<p>Tag'et giver mulighed for at indsætte et billede i enhver størrelse med:<br><br>
 - <code>id</code> billedets id<br>
-- <code>album</code> (valgfrit) id for den kategori billedet er placeret i<br>
-- <code>size</code> (valgfrit) størrelse på billedet, vælg imellem <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
-- <code>html</code> (valgfrit) hvis værdien sættes til <i>no</i> returnerer tag'en kun URL'en for billedet, uden HTML<br>
-- <code>link</code> (valgfrit) hvis værdien sættes til <i>yes</i> bliver billedet forsynet med en link til billedsiden</p>
+- <code>album</code> (valgfrit) id for det album billedet er placeret i<br>
+- <code>size</code> (valgfrit) størrelse på billedet, vælg mellem <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (valgfrit) hvis værdien sættes til <i>no</i> returnerer tag'en kun billed-URL'en, uden HTML<br>
+- <code>link</code> (valgfrit) hvis værdien sættes til <i>yes</i> bliver billedet forsynet med et link til billedsiden</p>
 
 <ul>
   <li><b>[random album=yy size=M html=yes link=yes]</b></li>
 </ul>
-<p>Samme funktion som ovenfor, dog vælges billedet tilfældigt fra kategorien <code>album</code></p>
+
+<p>Samme funktion som oven for, dog vælges billedet tilfældigt fra <code>album</code></p>
 
 <ul>
   <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no]</b></li>
 </ul>
-<p>Dette tabgiver mulighed for at indsætte et slideshow (NivoSlider), med (du skal vælge enten <code>album</code> ELLER <code>list</code>):<br><br>
-- <code>album</code> (valgfrit) Kategori hvorfra der vælges billeder<br>
-- <code>nb_images</code> (valgfrit) maks. antal billeder der skal vises i slideshow'et<br>
-- <code>random</code> (valgfrit) vælg tilfældigt blandt billederne i kategorien<br>
-- <code>list</code> (valgfrit) en liste af billed id'er adskilt med kommaer<br>
-- <code>size</code> (valgfrit) størrelse på billeder, vælg imellem <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
-- <code>speed</code> (valgfrit) hastighed for slideshow (visning af billeder i sekunder)<br>
+
+<p>Tag'et giver mulighed for at indsætte et slideshow (NivoSlider), (du skal vælge enten <code>album</code> ELLER <code>list</code>):<br><br>
+- <code>album</code> (valgfrit) album hvor fra der vælges billeder<br>
+- <code>nb_images</code> (valgfrit) maksimalt antal billeder der skal vises i slideshow'et<br>
+- <code>random</code> (valgfrit) vælg tilfældigt blandt billederne i albummet<br>
+- <code>list</code> (valgfrit) liste over billed-id'er adskilt af kommaer<br>
+- <code>size</code> (valgfrit) størrelse på billeder, vælg mellem <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (valgfrit) slideshowhastighed (pr. sekunder)<br>
 - <code>title</code> (valgfrit) vis billedets titel<br>
-- <code>effect</code> (valgfrit) transition effekt (se <a href="http://nivo.dev7studios.com/support/jquery-plugin-usage/">NivoSlider doc</a>)<br>
-- <code>arrows</code> (valgfrit) vis navigations pile<br>
-- <code>control</code> (valgfrit) vis funktioner for kontrol af afvikling af slideshow<br>
-- <code>elastic</code> (valgfrit) tilpas slideshow størrelse til hvert billede</p>
+- <code>effect</code> (valgfrit) fortoningseffekt (se <a href="http://nivo.dev7studios.com/support/jquery-plugin-usage/">NivoSlider-dokumentationen</a>)<br>
+- <code>arrows</code> (valgfrit) vis navigeringspile<br>
+- <code>control</code> (valgfrit) vis navigeringskontroller<br>
+- <code>elastic</code> (valgfrit) tilpas slideshowstørrelsen til hvert billede</p>
 
 
-<h3>Skjule et album</h3>
+<h3>Skjul et album</h3>
 
-<p>Brug tag <b>&lt;!--skjult--&gt;</b>i albummets navn:<br>
+<p>Brug tag'et <b>&lt;!--hidden--&gt;</b>i albummets navn:<br>
 <br>
-- Det vil ikke blive vist i moderselskabet albummet<br>
-- Det forbliver synlig i albummet menu</p>
+- Det vil ikke blive vist i det overordnede album<br>
+- Det forbliver synligt i albummenuen</p>
 
 <h3>Skjul et album i menuen</h3>
 
-<p>Brug tag <b>&lt;!--mb-skjult--&gt;</b> i albummets navn:<br>
+<p>Brug tag'et <b>&lt;!--mb-hidden--&gt;</b> i albummets navn:<br>
 <br>
-- Det vil ikke blive vist i albummet menuen<br>
-- Det forbliver synlig i moderselskabet album</p>
+- Det vil ikke blive vist i albummenuen<br>
+- Det forbliver synligt i det overordnede album</p>
 
-<h3>Skjul et foto</h3>
+<h3>Skjul et fotografi</h3>
 
-<p>Brug tag <b>&lt;!--skjult--&gt;</b> i billedet navn:<br>
+<p>Brug tag'et <b>&lt;!--hidden--&gt;</b> i billedets navn:<br>
 <br>
-- Det vil ikke blive vist på thumbnails side<br>
+- Det vil ikke blive vist på siden med miniaturebilleder<br>
 - Det forbliver synligt inde i albummet</p>
 
-<h3>Omdirigeret album</h3>
+<h3>Omdirigerede albummer</h3>
 
 <ul>
-  <li><b>[omdirigere http://piwigo.org] </b></li>
+  <li><b>[redirect http://piwigo.org]</b></li>
 </Ul>
-<p>Indsæt denne kode i et album beskrivelse at omdirigere det til webadressen på dit valg.</p>
+<p>Indsæt koden i en albumbeskrivelse for at omdirigere til en valgfri URL.</p>
 
 <ul>
-  <li><b>[omdirigere img = xx] </b></li>
-</Ul>
-<p>Omdiriger til et billede af dit galleri hvor xx er det billede identifikator, og du kan tilføje albummet identifikator ud for det billede identifikator:. <code> xx.ccc</code></p>
+  <li><b>[redirect img=xx]</b></li>
+</ul>
+<p>Omdiriger til et billede i galleriet, hvor xx er billedidentifikatoren; du kan tilføje albumidentifikatoren ved siden af billedidentifikatoren: <code> xx.ccc</code></p>
 
 <ul>
-  <li><b>[redirect cat = xx] </b></li>
+  <li><b>[redirect cat=xx]</b></li>
 </Ul>
-<p>Omdiriger til et album af dit galleri hvor xx albummet identifikator.</p>
+<p>Omdiriger til et album i galleriet hvor xx er albumidentifikatoren.</p>
 
 <ul>
-  <li><b>[omdirigere search = xx] </b></li>
-</Ul>
-<p>Omdiriger til en søgeside på dit galleri, hvor xx er søgningen identifikator.</p>
+  <li><b>[redirect search=xx] </b></li>
+</ul>
+<p>Omdiriger til en søgeside i galleriet, hvor xx er søgningsidentifikatoren.</p>