Index: /extensions/hotlink_compatibility/language/da_DK/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/da_DK/desc_content.html	(revision 18119)
+++ /extensions/hotlink_compatibility/language/da_DK/desc_content.html	(revision 18119)
@@ -0,0 +1,8 @@
+Piwigo 2.4 indfører Multisize-funktionen, som indeholder mange tekniske ændringer, særligt i filsystemet: I stedet for to eller tre udgaver af hvert fotografi (webstørrelse, miniaturebillede og høj opløsning), gemmer vi nu kun én udgave (originalen) i <i>upload</i>- og <i>galleries</i>-mapperne. Konsekvenserne er følgende:
+<ul>
+  <li>hotlinks til webstørrelser bliver hotlinks til originaler</li>
+  <li>hotlinks til højopløsningsudgaver fungerer ikke længere</li>
+  <li>hotlinks til miniaturebilleder fungerer ikke længere</li>
+</ul>
+For at løse problemet, har vi oprettet denne plugin, som forsøger at oprette eller ændre .htaccess-fil i roden af din installation. Filen indeholder nogle URL-rewrite-regler, som giver værten besked om, at links til billeder er ændret.<br>
+<b>Benytter du ikke hotlinks til dit galleri, behøver du ikke at udføre den efterfølgende opgradering og kan fjerne plugin'en.</b>
Index: /extensions/hotlink_compatibility/language/da_DK/description.txt
===================================================================
--- /extensions/hotlink_compatibility/language/da_DK/description.txt	(revision 18119)
+++ /extensions/hotlink_compatibility/language/da_DK/description.txt	(revision 18119)
@@ -0,0 +1,1 @@
+Opdaterer .htaccess-filen, som dine gamle hotlinks stadig fungerer. Nye brugere fra og med Piwigo 2.4 skal ikke bruge plugin'en.
Index: /extensions/hotlink_compatibility/language/da_DK/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/da_DK/index.php	(revision 18119)
+++ /extensions/hotlink_compatibility/language/da_DK/index.php	(revision 18119)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/da_DK/plugin.lang.php	(revision 18119)
+++ /extensions/hotlink_compatibility/language/da_DK/plugin.lang.php	(revision 18119)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = '.htaccess-filen er ikke skrivbar';
+$lang['Apply upgrade'] = 'Udfør opgradering';
+$lang['Apply upgrade anyway'] = 'Udfør alligevel opgradering';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo kan ikke oprette eller ændre .htaccess-filen, du er derfor nødt til at gøre det manuelt, hvis du ønsker at udføre denne opgradering. Følgende skal føjes til filen:';
+$lang['Unable to activate RewriteEngine'] = 'Kan ikke aktivere RewriteEngine';
+$lang['Upgrade already applied, please remove this plugin'] = 'Opgraderingen er allerede udført; fjern plugin\'en';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Opgradering udført; fjern plugin\'en';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Du har allerede en .htaccess-fil, men den blokerer RewriteEngine (linjen <i>RewriteEngine off</i>), fjern linjen for at Piwigo kan udføre opgraderingen.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Dit galleri befinder sig hos en vært, som er kendt for at have problemer med URL-rewriting; opgraderingen udføres på dit eget ansvar.';
+$lang['Your host may be incompatible with URL rewriting'] = 'Dit vært er måske ikke kompatibel med URL-rewriting';
+?>