Index: /extensions/GThumb/admin.php
===================================================================
--- /extensions/GThumb/admin.php	(revision 18123)
+++ /extensions/GThumb/admin.php	(revision 18124)
@@ -104,4 +104,5 @@
     'cache_big_thumb' => !empty($_POST['cache_big_thumb']),
     'method'          => $_POST['method'],
+    'show_thumbnail_caption' => !empty($_POST['show_thumbnail_caption']),
   );
 
@@ -150,4 +151,5 @@
     'CACHE_BIG_THUMB' => $params['cache_big_thumb'],
     'METHOD'          => $params['method'],
+    'SHOW_THUMBNAIL_CAPTION' => $params['show_thumbnail_caption'],
     'PWG_TOKEN'       => get_pwg_token(),
   )
Index: /extensions/GThumb/config_default.inc.php
===================================================================
--- /extensions/GThumb/config_default.inc.php	(revision 18123)
+++ /extensions/GThumb/config_default.inc.php	(revision 18124)
@@ -8,4 +8,5 @@
   'cache_big_thumb' => true,
   'method'          => 'crop',
+  'show_thumbnail_caption' => true,
 );
 
Index: /extensions/GThumb/js/gthumb.js
===================================================================
--- /extensions/GThumb/js/gthumb.js	(revision 18123)
+++ /extensions/GThumb/js/gthumb.js	(revision 18124)
@@ -37,5 +37,5 @@
     var round_rest = 0;
     var main_width = jQuery('#thumbnails').width();
-    var first_thumb = jQuery('#thumbnails img:first');
+    var first_thumb = jQuery('#thumbnails img.thumbnail:first');
     var best_size = {width:1,height:1};
 
Index: /extensions/GThumb/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/GThumb/language/en_UK/plugin.lang.php	(revision 18123)
+++ /extensions/GThumb/language/en_UK/plugin.lang.php	(revision 18124)
@@ -14,4 +14,5 @@
 $lang['Delete images in GThumb+ cache.'] = 'Delete images in GThumb+ cache.';
 $lang['Finds images that have not been cached and creates the cached version.'] = 'Finds images that have not been cached and creates the cached version.';
+$lang['Show thumbnails caption'] = 'Show thumbnails caption';
 
 ?>
Index: /extensions/GThumb/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/GThumb/language/fr_FR/plugin.lang.php	(revision 18123)
+++ /extensions/GThumb/language/fr_FR/plugin.lang.php	(revision 18124)
@@ -14,4 +14,5 @@
 $lang['Delete images in GThumb+ cache.'] = 'Efface les images du cache de GThumb+.';
 $lang['Finds images that have not been cached and creates the cached version.'] = "Met en cache les images qui n'ont pas encore été crées.";
+$lang['Show thumbnails caption'] = 'Afficher les légendes des miniatures';
 
 ?>
Index: /extensions/GThumb/main.inc.php
===================================================================
--- /extensions/GThumb/main.inc.php	(revision 18123)
+++ /extensions/GThumb/main.inc.php	(revision 18124)
@@ -33,4 +33,12 @@
 {
   global $conf, $user, $page, $template;
+  
+  // new param in 2.4.c
+  if (!isset($conf['GThumb']['show_thumbnail_caption']))
+  {
+    $conf['GThumb']['show_thumbnail_caption'] = true;
+    conf_update_param('GThumb', serialize($conf['GThumb']));
+  }
+  
 
   $template->set_prefilter('index', 'GThumb_prefilter');
@@ -40,4 +48,5 @@
   $user['nb_image_page'] = $conf['GThumb']['nb_image_page'];
   $page['nb_image_page'] = $conf['GThumb']['nb_image_page'];
+  $conf['show_thumbnail_caption'] = $conf['GThumb']['show_thumbnail_caption'];
 }
 
Index: /extensions/GThumb/template/admin.tpl
===================================================================
--- /extensions/GThumb/template/admin.tpl	(revision 18123)
+++ /extensions/GThumb/template/admin.tpl	(revision 18124)
@@ -25,6 +25,6 @@
   <tr>
     <td align="right">{'Double the size of the first thumbnail'|@translate} : &nbsp;&nbsp;</td>
-    <td><input type="radio" name="big_thumb" value="1" {if $BIG_THUMB}checked="checked"{/if}> {'Yes'|@translate} &nbsp;
-        <input type="radio" name="big_thumb" value="0" {if !$BIG_THUMB}checked="checked"{/if}> {'No'|@translate}
+    <td><label><input type="radio" name="big_thumb" value="1" {if $BIG_THUMB}checked="checked"{/if}> {'Yes'|@translate}</label> &nbsp;
+        <label><input type="radio" name="big_thumb" value="0" {if !$BIG_THUMB}checked="checked"{/if}> {'No'|@translate}</label>
     </td>
   </tr>
@@ -32,6 +32,6 @@
   <tr>
     <td align="right">{'Cache the big thumbnails (recommended)'|@translate} : &nbsp;&nbsp;</td>
-    <td><input type="radio" name="cache_big_thumb" value="1" {if $CACHE_BIG_THUMB}checked="checked"{/if}> {'Yes'|@translate} &nbsp;
-        <input type="radio" name="cache_big_thumb" value="0" {if !$CACHE_BIG_THUMB}checked="checked"{/if}> {'No'|@translate}
+    <td><label><input type="radio" name="cache_big_thumb" value="1" {if $CACHE_BIG_THUMB}checked="checked"{/if}> {'Yes'|@translate}</label> &nbsp;
+        <label><input type="radio" name="cache_big_thumb" value="0" {if !$CACHE_BIG_THUMB}checked="checked"{/if}> {'No'|@translate}</label>
     </td>
   </tr>
@@ -39,6 +39,13 @@
   <tr>
     <td align="right">{'Scale thumbnails'|@translate} : &nbsp;&nbsp;</td>
-    <td><input type="radio" name="method" value="crop" {if $METHOD == 'crop'}checked="checked"{/if}> {'Crop'|@translate} &nbsp;
-        <input type="radio" name="method" value="resize" {if $METHOD == 'resize'}checked="checked"{/if}> {'Resize'|@translate}
+    <td><label><input type="radio" name="method" value="crop" {if $METHOD == 'crop'}checked="checked"{/if}> {'Crop'|@translate}</label> &nbsp;
+        <label><input type="radio" name="method" value="resize" {if $METHOD == 'resize'}checked="checked"{/if}> {'Resize'|@translate}</label>
+    </td>
+  </tr>
+  
+  <tr>
+    <td align="right">{'Show thumbnails caption'|@translate} : &nbsp;&nbsp;</td>
+    <td><label><input type="radio" name="show_thumbnail_caption" value="1" {if $SHOW_THUMBNAIL_CAPTION}checked="checked"{/if}> {'Yes'|@translate}</label> &nbsp;
+        <label><input type="radio" name="show_thumbnail_caption" value="0" {if !$SHOW_THUMBNAIL_CAPTION}checked="checked"{/if}> {'No'|@translate}</label>
     </td>
   </tr>
Index: /extensions/GThumb/template/gthumb.css
===================================================================
--- /extensions/GThumb/template/gthumb.css	(revision 18123)
+++ /extensions/GThumb/template/gthumb.css	(revision 18124)
@@ -13,8 +13,9 @@
 #thumbnails .gthumb a {
   position: absolute;
+  z-index:0;
 }
 
-#thumbnails .gthumb img.thumbnail,
-#thumbnails .gthumb img.thumbnail:hover {
+#thumbnails .gthumb a img.thumbnail,
+#thumbnails .gthumb a img.thumbnail:hover {
   border: 0 none;
   margin: 0;
@@ -22,2 +23,28 @@
   top: 0;
 }
+
+#thumbnails .thumbLegend {
+  display:none;
+  position:absolute;
+  z-index:100;
+  top:50%;
+  margin-top:-20px;
+  height:30px;
+  padding:5px 0;
+  width:100%;
+  background:rgba(0,0,0,0.7);
+  text-align:center;
+  vertical-align:middle;
+  overflow:hidden;
+  box-shadow:0 0 3px rgb(0,0,0);
+  color:aaa;
+}
+  #thumbnails .gthumb:hover .thumbLegend {
+    display:block;
+  }
+#thumbnails .thumbLegend .thumbName {
+  display:block;
+  vertical-align:middle;
+  font-weight:bold;
+  color:#eee;
+}
Index: /extensions/GThumb/template/gthumb.tpl
===================================================================
--- /extensions/GThumb/template/gthumb.tpl	(revision 18123)
+++ /extensions/GThumb/template/gthumb.tpl	(revision 18124)
@@ -3,4 +3,24 @@
 {assign var=derivative value=$pwg->derivative($GThumb_derivative_params, $thumbnail.src_image)}
 <li class="gthumb">
+  {if $SHOW_THUMBNAIL_CAPTION }
+  <span class="thumbLegend">
+    <span class="thumbName">
+      {$thumbnail.NAME}
+      {if !empty($thumbnail.icon_ts)}
+      <img title="{$thumbnail.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent.png" alt="(!)">
+      {/if}
+    </span>
+    {if isset($thumbnail.NB_COMMENTS)}
+    <span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
+      {$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+    </span>
+    {/if}
+    {if isset($thumbnail.NB_HITS)}
+    <span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
+      {$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
+    </span>
+    {/if}
+  </span>
+  {/if}
   <a href="{$thumbnail.URL}">
     <img class="thumbnail" {if !$derivative->is_cached()}data-{/if}src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" {$derivative->get_size_htm()}>