Index: branches/2.4/language/bg_BG/admin.lang.php
===================================================================
--- branches/2.4/language/bg_BG/admin.lang.php	(revision 15934)
+++ branches/2.4/language/bg_BG/admin.lang.php	(revision 18154)
@@ -391,3 +391,206 @@
 $lang['hide details'] = 'скриване на детайли';
 $lang['high'] = 'високо';
+$lang['Unlocked'] = 'Отключен';
+$lang['Uncheck all'] = 'Отказване на всички';
+$lang['Uninstall'] = 'Деинсталация';
+$lang['To send ?'] = 'За изпращане?';
+$lang['Templates'] = 'Шаблони';
+$lang['Support'] = 'Подръжка';
+$lang['Status'] = 'Статус';
+$lang['Statistics'] = 'Статистика';
+$lang['Show info'] = 'Показване на инфо';
+$lang['Settings'] = 'Настройки';
+$lang['Send'] = 'Изпращане';
+$lang['Selection'] = 'Селекция';
+$lang['Select:'] = 'Избери:';
+$lang['Searching...'] = 'Търсене...';
+$lang['Section'] = 'Раздел';
+$lang['Save Template Directory'] = 'Запази шаблона директория';
+$lang['Save Settings'] = 'Запази настройките';
+$lang['Restore'] = 'Възстанови';
+$lang['Resize'] = 'Преоразмеряване';
+$lang['Refresh'] = 'Опресняване';
+$lang['Random photo'] = 'Пройзволна снимка';
+$lang['Rating'] = 'Рейтинг';
+$lang['Please wait...'] = 'Моля изчакайте...';
+$lang['Plugins'] = 'Plugins';
+$lang['Public / Private'] = 'Частен/Публичен';
+$lang['Public'] = 'Публичен';
+$lang['Properties'] = 'Свойства';
+$lang['Private'] = 'Частен';
+$lang['Position'] = 'Позиция';
+$lang['Plugins which need upgrade'] = 'Plugins налични за обновяване';
+$lang['Piwigo version'] = 'Piwigo версия';
+$lang['Piwigo for Android'] = 'Piwigo за Android';
+$lang['Piwigo configuration'] = 'Piwigo конфигурация';
+$lang['Piwigo Administration'] = 'Piwigo Администриране';
+$lang['Piwigo Update'] = 'Piwigo Update';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Parameters'] = 'Параметри';
+$lang['Photos'] = 'Снимки';
+$lang['Photo Page'] = 'Фото страница';
+$lang['Permissions'] = 'Разрешения';
+$lang['Path'] = 'Път';
+$lang['Parameter'] = 'Настройки';
+$lang['Page end'] = 'Край на страница';
+$lang['Original templates'] = 'Оргинални шаблони';
+$lang['Options'] = 'Опции';
+$lang['Operating system'] = 'Операционна система';
+$lang['None'] = 'Нищо';
+$lang['No results'] = 'Няма резултати';
+$lang['New tag'] = 'Нов таг';
+$lang['New name'] = 'Ново име';
+$lang['New Version'] = 'Нова версия';
+$lang['Month'] = 'Месец';
+$lang['Move'] = 'Премести';
+$lang['Menu Management'] = 'Менюта';
+$lang['Members'] = 'Членове';
+$lang['Lock'] = 'Заключи';
+$lang['Lock albums'] = 'Заключи албум';
+$lang['Lock gallery'] = 'Заключи галерия';
+$lang['Locked'] = 'Заключен';
+$lang['Local'] = 'Локален';
+$lang['Languages'] = 'Езици';
+$lang['Install'] = 'Инсталиране';
+$lang['Image id'] = 'Номер снимка';
+$lang['Image Quality'] = 'Качество на снимка';
+$lang['Ignore selected anomalies'] = 'Игнориране на избраните аномалии';
+$lang['Ignore this update'] = 'Игнориране на този ъпдейт';
+$lang['Ignore All'] = 'Игнориране на всички';
+$lang['IP'] = 'IP адрес';
+$lang['Hour'] = 'Час';
+$lang['History'] = 'История';
+$lang['Guest cannot be deleted'] = '"Гост" не може да бъде изтрит';
+$lang['Help Me'] = 'Помощ';
+$lang['Guest Settings'] = 'Настройки на "Гост"';
+$lang['Groups'] = 'Групи';
+$lang['Group name'] = 'Име на група';
+$lang['Group'] = 'Група';
+$lang['Edit ranks'] = 'Редакция на ранговете';
+$lang['Documentation'] = 'Документация';
+$lang['Thumbnail'] = 'Миниатюри';
+$lang['Themes'] = 'Теми';
+$lang['Tools'] = 'Инструменти';
+$lang['Title'] = 'заглавие';
+$lang['Time'] = 'Време';
+$lang['User list'] = 'Списък на потребителите';
+$lang['User'] = 'Потребител';
+$lang['Uploaded Photos'] = 'Качени снимки';
+$lang['Upload'] = 'Качване';
+$lang['Updates'] = 'Обновявания';
+$lang['Update albums informations'] = 'Обновяване на информацията в албумите';
+$lang['Update Complete'] = 'Обнавяването е завършено';
+$lang['Update All'] = 'Обновяване на всички';
+$lang['errors during synchronization'] = 'грешки по време на синхронизация';
+$lang['default values'] = 'настройки по подразбиране';
+$lang['create a new site'] = 'създаване на нов сайт';
+$lang['cancel manual order'] = 'отказване на ръчна заявка';
+$lang['Validate'] = 'Потвърдено';
+$lang['Webmaster status is required.'] = 'Статуса на уебмастъра е необходим.';
+$lang['Webmaster cannot be deleted'] = 'Уебмастъра не може да бъде изтрит';
+$lang['Visit Piwigo project website'] = 'Посети Piwigo уебсайта проекти';
+$lang['Visit language site'] = 'Виж езиковият сайт';
+$lang['Visit plugin site'] = 'Виж сайта на добавката';
+$lang['Visit theme site'] = 'Виж сайта на темата';
+$lang['Waiting'] = 'В очакване';
+$lang['Visit Gallery'] = 'Посети галерията';
+$lang['Virtual Links'] = 'Виртуален линк';
+$lang['Validation'] = 'Потвърждение';
+$lang['User status'] = 'Статус на потребител';
+$lang['Users'] = 'Потребител';
+$lang['jump to album'] = 'директно към албума';
+$lang['jump to photo'] = 'директно към снимката';
+$lang['global mode'] = 'глобален режим';
+$lang['for this file format'] = 'за този формат файл';
+$lang['for the file format'] = 'за формат на файла';
+$lang['display'] = 'екран';
+$lang['number of miniaturized photos'] = 'брой на създадените миниатюри';
+$lang['manage album photos'] = 'редактиране на албума снимки';
+$lang['photos deleted from the database'] = 'снимките са изтрити в базата данни';
+$lang['photos added in the database'] = 'снимките са добавени в базата данни';
+$lang['pending validation'] = 'в очакване на потвърждаване';
+$lang['other'] = 'друг';
+$lang['only directories'] = 'само за директории';
+$lang['manage sub-albums'] = 'администриране на под-албумите';
+$lang['manual order'] = 'ръчна заявка';
+$lang['modified'] = 'променен';
+$lang['new'] = 'нов';
+$lang['none'] = 'никой';
+$lang['nothing'] = 'нищо';
+$lang['no write access'] = 'забранен запис';
+$lang['reduce to single existing albums'] = 'намали до еденични съществуващите албуми';
+$lang['photos informations synchronized with files metadata'] = 'информацията за снимките е синхронизирана с файловете метаданни';
+$lang['photos per page'] = 'снимки на страница';
+$lang['photos updated in the database'] = 'снимката е актуализирана в базата данни';
+$lang['randomly represented'] = 'пройзволнен албум миниатюри';
+$lang['public'] = 'обществен';
+$lang['private'] = 'частен';
+$lang['pixels'] = 'пиксели';
+$lang['ranks'] = 'ранг';
+$lang['registration date'] = 'регистрационна дата';
+$lang['remove author'] = 'премахване на автора';
+$lang['remove creation date'] = 'премахване датата на създаване';
+$lang['remove tags'] = 'премахване на тагове';
+$lang['remove this filter'] = 'премахване на този филтър';
+$lang['remove title'] = 'премахване на заглавие';
+$lang['selection'] = 'избор';
+$lang['set to'] = 'задай';
+$lang['show details'] = 'показване детайли';
+$lang['singly represented'] = 'фиксиран албум миниатюри';
+$lang['status'] = 'статус';
+$lang['target'] = 'цел';
+$lang['test this remote site'] = 'тест на този отдалечен сайт';
+$lang['synchronize files metadata with database photos informations'] = 'синхронизиране на базата данни на снимките с файловете мета данни ';
+$lang['synchronize files structure with database'] = 'синхронизиране на файловата структура с базата данни';
+$lang['user_status_generic'] = 'Основен';
+$lang['user_status_admin'] = 'Администратор';
+$lang['user "%s" added'] = 'потребител "%s" добавен';
+$lang['update the database from files'] = 'обновяване на базата данни с файлове';
+$lang['unset'] = 'незададено';
+$lang['unit mode'] = 'единичен режим';
+$lang['unknown'] = 'непознат';
+$lang['the wiki'] = 'уйкипедията';
+$lang['total time'] = 'общо време';
+$lang['the forum'] = 'форумът';
+$lang['test'] = 'тест';
+$lang['sub-albums'] = 'под-албум';
+$lang['Graphics Library'] = 'Графична библиотека';
+$lang['General statistics'] = 'Обща статистика';
+$lang['Installed Languages'] = 'Инсталирани езици';
+$lang['Install on your computer,'] = 'Инсталирай на твоя компютър,';
+$lang['Main'] = 'Основен';
+$lang['Invert'] = 'Обърни';
+$lang['Maximum width'] = 'Максимална ширина';
+$lang['Maximum height'] = 'Максимална височина';
+$lang['Manual order'] = 'Ръчна заявка';
+$lang['Manage Permissions'] = 'Промяна на достъпа';
+$lang['Main Page'] = 'Основна страница';
+$lang['New photos added'] = 'Нови снимки добавени';
+$lang['Move albums'] = 'Преместване на албуми';
+$lang['Page banner'] = 'Банер на страница';
+$lang['Overall'] = 'Преглед';
+$lang['Permission granted'] = 'Достъпът потвърден';
+$lang['Permission denied'] = 'Достъпът отказан';
+$lang['Read Piwigo Documentation'] = 'Прочети Piwigo Документация';
+$lang['Plugin list'] = 'Лист Плъгини (Добавки)';
+$lang['Remove all filters'] = 'Примахни всички филтри';
+$lang['Set author'] = 'Задай автор';
+$lang['Show menubar'] = 'Показване на лентата с менюто';
+$lang['Set title'] = 'Задай заглавие';
+$lang['Set creation date'] = 'Задай дата на създаване';
+$lang['Send mail to users'] = 'Напишете имейл да потребител';
+$lang['Send mail as'] = 'Напишете ни имейл';
+$lang['Synchronize'] = 'Синхронизация';
+$lang['Site manager'] = 'Сайт менаджер';
+$lang['Simulation'] = 'Симулация';
+$lang['The gallery URL is not valid.'] = 'Адреса на галерията е невалиден.';
+$lang['The whole page'] = 'Цялата страница';
+$lang['Update to Piwigo %s'] = 'Актуализирай до Piwigo %s';
+$lang['Unable to check for upgrade.'] = 'Невъзможна е проверката за актуализации';
+$lang['Two updates are available'] = 'Две актуализации са налични';
+$lang['Uninstalled Plugins'] = 'Деинсталирани Плъгини';
+$lang['Type here the title'] = 'Въведете заглавие';
+$lang['Type here the author name'] = 'Въведете името на автора';
+$lang['This site already exists'] = 'Сайта вече съществува';
+$lang['leave'] = 'оставяне';
 ?>