Index: /extensions/UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 18157)
+++ /extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 18158)
@@ -231,7 +231,5 @@
           <fieldset>
           <ul>
-            <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
             <li>
-            <div class="uam_new">
               <label class="cluetip" title="{'UAM_AdminValidationMail_Subject'|translate}|{'UAM_AdminValidationMail_Subject_d'|translate}">
                 {'UAM_AdminValidationMail_Subject'|@translate}
@@ -240,5 +238,4 @@
               &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_AdminValidationMail_Subject" id="UAM_AdminValidationMail_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_ADMINVALIDATIONMAIL_SUBJECT}</textarea>
             <br><br>
-            </div>
             </li>
 
@@ -256,7 +253,5 @@
 
           <ul>
-            <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
             <li>
-            <div class="uam_new">
               <label class="cluetip" title="{'UAM_ConfirmMail_Subject'|translate}|{'UAM_ConfirmMail_Subject_d'|translate}">
                 {'UAM_ConfirmMail_Subject'|@translate}
@@ -265,5 +260,4 @@
               &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_ConfirmMail_Subject" id="UAM_ConfirmMail_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_SUBJECT}</textarea>
             <br><br>
-            </div>
             </li>
 
@@ -485,7 +479,5 @@
 
               <ul>
-                <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
                 <li>
-                <div class="uam_new">
                   <label class="cluetip" title="{'UAM_ConfirmMail_ReMail_Subject'|translate}|{'UAM_ConfirmMail_ReMail_Subject_d'|translate}">
                     {'UAM_ConfirmMail_ReMail_Subject'|@translate}
@@ -494,5 +486,4 @@
                   &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_ConfirmMail_Remail_Subject" id="UAM_ConfirmMail_Remail_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_SUBJECT}</textarea>
                 <br><br>
-                </div>
                 </li>
 
@@ -632,7 +623,5 @@
           <fieldset>
           <ul>
-            <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
             <li>
-            <div class="uam_new">
               <label class="cluetip" title="{'UAM_GTReminder_Subject'|translate}|{'UAM_GTReminder_Subject_d'|translate}">
                 {'UAM_GTReminder_Subject'|@translate}
@@ -641,5 +630,4 @@
               &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_GTReminder_Subject" id="UAM_GTReminder_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_GTREMINDER_SUBJECT}</textarea>
             <br><br>
-            </div>
             </li>
 
@@ -746,7 +734,5 @@
                           {'UAM_Enable'|@translate}
                       <br><br>
-                        <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
                         <li>
-                        <div class="uam_new">
                           <label class="cluetip" title="{'UAM_GTAutomail_Subject'|translate}|{'UAM_GTAutomail_Subject_d'|translate}">
                             {'UAM_GTAutomail_Subject'|@translate}
@@ -755,5 +741,4 @@
                           &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_GTAutoMail_Subject" id="UAM_GTAutoMail_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAIL_SUBJECT}</textarea>
                         <br><br>
-                        </div>
                         </li>
 
@@ -823,7 +808,5 @@
             </li>
             
-            <p class="new_in_version">{'UAM_NewFeature'|@translate}</p>
             <li>
-            <div class="uam_new">
               <label class="cluetip" title="{'UAM_MailInfo_Subject'|translate}|{'UAM_MailInfo_Subject_d'|translate}">
                 {'UAM_MailInfo_Subject'|@translate}
@@ -832,5 +815,4 @@
               &nbsp;&nbsp;<textarea class="uam_textfields" name="UAM_InfoMail_Subject" id="UAM_InfoMail_Subject" rows="5" {$TAG_INPUT_ENABLED}>{$UAM_INFOMAIL_SUBJECT}</textarea>
             <br><br>
-            </div>
             </li>
 
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18157)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 18158)
@@ -2367,29 +2367,29 @@
     for ($i = 0 ; $i < count($conf_CharExclusion) ; $i++)
     {
-    	 //Detect meta-characters (# ! ^ $ ( ) [ ] { } ? + * . \ -) for special pattern
-    	 if ($conf_CharExclusion[$i] == "#"
-							or $conf_CharExclusion[$i] == "$"
-							or $conf_CharExclusion[$i] == "!"
-							or $conf_CharExclusion[$i] == "^"
-						 or $conf_CharExclusion[$i] == "*"
-							or $conf_CharExclusion[$i] == "?"
-							or $conf_CharExclusion[$i] == "+"
-							or $conf_CharExclusion[$i] == "."
-							or $conf_CharExclusion[$i] == "\\"
-							or $conf_CharExclusion[$i] == "|"
-							or $conf_CharExclusion[$i] == "["
-							or $conf_CharExclusion[$i] == "]"
-							or $conf_CharExclusion[$i] == "("
-							or $conf_CharExclusion[$i] == ")"
-							or $conf_CharExclusion[$i] == "{"
-							or $conf_CharExclusion[$i] == "}"
-							or $conf_CharExclusion[$i] == "-")
-    	 {
-    	 	 $pattern = '/[][^$.\*+?(){}#|-]/i';
-    	 }
-    	 else
-						{
-								$pattern = '/'.$conf_CharExclusion[$i].'/i';
-						}
+      //Detect meta-characters (# ! ^ $ ( ) [ ] { } ? + * . \ -) for special pattern
+      if ($conf_CharExclusion[$i] == "#"
+       or $conf_CharExclusion[$i] == "$"
+       or $conf_CharExclusion[$i] == "!"
+       or $conf_CharExclusion[$i] == "^"
+       or $conf_CharExclusion[$i] == "*"
+       or $conf_CharExclusion[$i] == "?"
+       or $conf_CharExclusion[$i] == "+"
+       or $conf_CharExclusion[$i] == "."
+       or $conf_CharExclusion[$i] == "\\"
+       or $conf_CharExclusion[$i] == "|"
+       or $conf_CharExclusion[$i] == "["
+       or $conf_CharExclusion[$i] == "]"
+       or $conf_CharExclusion[$i] == "("
+       or $conf_CharExclusion[$i] == ")"
+       or $conf_CharExclusion[$i] == "{"
+       or $conf_CharExclusion[$i] == "}"
+       or $conf_CharExclusion[$i] == "-")
+      {
+        $pattern = '/[][^$.\*+?(){}#|-]/i';
+      }
+      else
+      {
+        $pattern = '/'.$conf_CharExclusion[$i].'/i';
+      }
 
       if (preg_match($pattern, $login))
Index: /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 18157)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 18158)
@@ -219,7 +219,9 @@
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
-In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.<br><br>
-In second case, <b><u>there is no confirmation key send by email!</u></b>. Visitors have to wait until an administrator confirm them himself in &quot;confirmation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or administrators to manually activate the registration.
+<br><br>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.
+<br><br>
+In second case, the validation link is send to the gallery administrators. Visitors have to wait until an administrator confirm them himself by using the validation link or in &quot;confirmation tracking&quot; tab.
 <br>
 <b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for confirmation of registration limited&quot; and &quot;Remind unconfirmed users  &quot; have to be set to off when admin\'s manual confirmation is enabled.</b>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 18157)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 18158)
@@ -249,5 +249,5 @@
 Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des confirmations&quot;), et une partie personnalisable par un texte d\'accueil.
 <br><br>
-Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de confirmation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des confirmations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
+Dans le second cas, l\'email avec lien de validation est envoyé aux administrateurs de la galerie. Les visiteurs doivent patienter qu\'un administrateur valide lui même leur inscription soit par ce lien, soit par l\'onglet &quot;Suivi des confirmations&quot;.
 <br>
 <b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de confirmation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non confirmés&quot; doivent être désactivées lorsque la confirmation manuelle est active.</b>