Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 18196)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 18197)
@@ -22,6 +22,6 @@
 // +-----------------------------------------------------------------------+
 
-$lang['%d association'] = '%d 相关';
-$lang['%d associations'] = '%d 相关';
+$lang['%d association'] = '总计关联图片%d张';
+$lang['%d associations'] = '总计关联图片%d张';
 $lang['%d album including'] = '%d个相册，其中包含';
 $lang['%d albums including'] = '%d个相册，其中包含';
@@ -30,24 +30,24 @@
 $lang[' and %d virtual'] = '，虚拟相册%d个 ';
 $lang[' and %d virtuals'] = '，虚拟相册%d个';
-$lang['%d album moved'] = '%d 相册已移动';
-$lang['%d albums moved'] = '%d 个相册已移动';
-$lang['%d group'] = '%d 组';
-$lang['%d groups'] = '%d 组';
-$lang['%d member'] = '%d 成员';
-$lang['%d members'] = '%d 成员';
-$lang['%d tag'] = '%d 标签';
+$lang['%d album moved'] = '%d个相册已移动';
+$lang['%d albums moved'] = '%d个相册已移动';
+$lang['%d group'] = '%d个组';
+$lang['%d groups'] = '%d个组';
+$lang['%d member'] = '%d位成员';
+$lang['%d members'] = '%d位成员';
+$lang['%d tag'] = '%d个标签';
 $lang['%d tags'] = '%d个标签';
-$lang['%d user comment rejected'] = '%d 用户评论被删除';
-$lang['%d user comments rejected'] = '%d 用户评论被删除';
-$lang['%d user comment validated'] = '%d 用户评论已确认有效';
-$lang['%d user comments validated'] = '%d 用户评论已确认有效';
-$lang['%d user deleted'] = '%d 用户已删除';
-$lang['%d users deleted'] = '%d 用户已删除';
-$lang['%d user'] = '%d 用户';
-$lang['%d users'] = '%d 用户';
-$lang['%d waiting for validation'] = '%d 等待确认有效';
+$lang['%d user comment rejected'] = '%d个用户评论被拒';
+$lang['%d user comments rejected'] = '%d个用户评论被拒';
+$lang['%d user comment validated'] = '%d个用户评论已通过审核';
+$lang['%d user comments validated'] = '%d个用户评论已通过审核';
+$lang['%d user deleted'] = '%d个用户已删除';
+$lang['%d users deleted'] = '%d个用户已删除';
+$lang['%d user'] = '%d个用户';
+$lang['%d users'] = '%d个用户';
+$lang['%d waiting for validation'] = '%d个等待审核';
 $lang['Actions'] = '操作';
-$lang['Activate'] = '激活';
-$lang['Add/delete a permalink'] = '增加/删除一个固定链接';
+$lang['Activate'] = '启用';
+$lang['Add/delete a permalink'] = '添加/删除一个固定链接';
 $lang['Add a tag'] = '添加标签';
 $lang['Add a user'] = '添加用户';
@@ -56,5 +56,5 @@
 $lang['Allow user registration'] = '允许用户注册';
 $lang['Apply to sub-albums'] = '应用到子相册';
-$lang['Associated'] = '关联于';
+$lang['Associated'] = '已关联';
 $lang['Caddie management'] = '标记图片库管理';
 $lang['Caddie'] = '标记图片库';
@@ -63,5 +63,5 @@
 $lang['Check for upgrade failed for unknown reasons.'] = '因未知原因导致更新检查失败.';
 $lang['Check for upgrade'] = '检查更新';
-$lang['Comments for all'] = '对所有成员进行评论';
+$lang['Comments for all'] = '向所有人开放评论';
 $lang['Current name'] = '现用名';
 $lang['Database'] = '数据库';
@@ -175,7 +175,7 @@
 $lang['Associate to album'] = '关联到相册';
 $lang['associate to group'] = '关联到组';
-$lang['Authorized'] = '授权';
+$lang['Authorized'] = '已授权';
 $lang['Add a virtual album'] = '添加一个虚拟相册';
-$lang['Authorize users to add comments on selected albums'] = '让用户可在所选相册里发表评论';
+$lang['Authorize users to add comments on selected albums'] = '授权用户在所选相册中发表评论';
 $lang['The name of an album must not be empty'] = '相册名称不能为空';
 $lang['Lock albums'] = '锁定相册';
@@ -199,5 +199,5 @@
 $lang['Dissociate from album'] = '从相册中删除';
 $lang['dissociate from group'] = '取消组关联';
-$lang['Album updated successfully'] = '相册信息已上传成功.';
+$lang['Album updated successfully'] = '相册已更新成功';
 $lang['photos per page'] = '每页图片';
 $lang['High definition enabled'] = '激活高清功能';
@@ -248,12 +248,12 @@
 $lang['Error when sending email to %s [%s].'] = '发送邮件 给 %s [%s] 是发生了错误.';
 $lang['Mail sent to %s [%s].'] = '已发送至 %s [%s].';
-$lang['%d mail was sent.'] = '%s 邮件已发送.';
-$lang['%d mails were sent.'] = '%s 邮件已发送.';
-$lang['%d mail was not sent.'] = '%s 邮件未被发送.';
-$lang['%d mails were not sent.'] = '%s 邮件未被发送.';
+$lang['%d mail was sent.'] = '%s份邮件已发送.';
+$lang['%d mails were sent.'] = '%s份邮件已发送.';
+$lang['%d mail was not sent.'] = '%s份邮件未被发送.';
+$lang['%d mails were not sent.'] = '%s份邮件未被发送.';
 $lang['No mail to send.'] = '没有邮件要发送.';
 $lang['There is no available subscribers to mail.'] = '没有用户需要邮件通知.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = '只有当有新图片时,才能使用用户邮件通知功能.';
-$lang['Anyway only webmasters can see this tab and never administrators.'] = '任何人都不能使用此标签(网管除外).';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = '本表单页仅站长可见，管理员不可见。';
 $lang['No user to send notifications by mail.'] = '没有邮件通知用户.';
 $lang['New photos added'] = '新图片已加入';
@@ -274,12 +274,12 @@
 $lang['Subscribe/unsubscribe users'] = '注册/注销用户';
 $lang['Unsubscribed'] = '已注销';
-$lang['%d parameter was updated.'] = '%d 参数已更新.';
-$lang['%d parameters were updated.'] = '%d 等参数已更新.';
-$lang['%d user was not updated.'] = '%d 用户没有被更新.';
-$lang['%d users were not updated.'] = '%d 等用户没有被更新.';
+$lang['%d parameter was updated.'] = '%d个参数已更新.';
+$lang['%d parameters were updated.'] = '%d个参数已更新.';
+$lang['%d user was not updated.'] = '%d个用户没有被更新.';
+$lang['%d users were not updated.'] = '%d个用户没有被更新.';
 $lang['User %s [%s] was removed from the subscription list.'] = '用户 %s [%s] 从注册名单中删除.';
 $lang['User %s [%s] was added to the subscription list.'] = '用户 %s [%s] 加入到注册名单中.';
-$lang['%d user was updated.'] = '%d 用户已更新.';
-$lang['%d users were updated.'] = '%d 等用户已更新.';
+$lang['%d user was updated.'] = '%d个用户已更新.';
+$lang['%d users were updated.'] = '%d个用户已更新.';
 $lang['User %s [%s] was not removed from the subscription list.'] = '用户 %s [%s] 没有从注册名单中删除.';
 $lang['User %s [%s] was not added to the subscription list.'] = '用户 %s [%s] 没有加到注册名当中.';
@@ -288,5 +288,5 @@
 $lang['Send mail on HTML format'] = '以HTML格式发送邮件';
 $lang['Include display of recent photos grouped by dates'] = '包括显示最近按日期分组的图片';
-$lang['Available only with HTML format'] = '只能以HTML格式';
+$lang['Available only with HTML format'] = '仅限HTML格式可用';
 $lang['no write access'] = '不能写入';
 $lang['Permissions'] = '权限';
@@ -321,5 +321,5 @@
 $lang['Thumbnail'] = '缩略图';
 $lang['Title'] = '标题';
-$lang['Album list management'] = '相册管理';
+$lang['Album list management'] = '相册列表管理';
 $lang['Piwigo configuration'] = '配置Piwigo';
 $lang['Edit album'] = '修改一个相册';
@@ -397,5 +397,5 @@
 $lang['Element'] = '图片';
 $lang['Section'] = '区域';
-$lang['An information email was sent to group "%s"'] = '已向组 "%s" 的所有成员发送了信息邮件';
+$lang['An information email was sent to group "%s"'] = '已向 "%s" 组的成员发送了邮件信息';
 $lang['Send an information email to group members'] = '向组成员发送一份信息邮件';
 $lang['Group'] = '组';
@@ -411,8 +411,8 @@
 $lang['Image id'] = '图片标识符';
 $lang['Summary'] = '概述';
-$lang['%d line filtered'] = '%d 行被过滤';
-$lang['%d lines filtered'] = '%d 行被过滤';
-$lang['%d guest'] = '%d 游客';
-$lang['%d guests'] = '%d 游客';
+$lang['%d line filtered'] = '%d行被过滤';
+$lang['%d lines filtered'] = '%d行被过滤';
+$lang['%d guest'] = '%d位游客';
+$lang['%d guests'] = '%d位游客';
 $lang['Hour'] = '小时';
 $lang['guest'] = '游客';
@@ -430,15 +430,15 @@
 $lang['Correction applied with success'] = '修复成功';
 $lang['Correction applied with error'] = '修复出错';
-$lang['%d anomaly has been detected.'] = '发现了 %d 异常.';
-$lang['%d anomalies have been detected.'] = '发现了 %d 个异常.';
-$lang['%d anomaly has been corrected.'] = '修正了 %d 异常.';
-$lang['%d anomalies have been detected corrected.'] = '修正了 %d 个异常.';
-$lang['%d anomaly has not been corrected.'] = '不能修正 %d 异常.';
-$lang['%d anomalies have not been corrected.'] = '不能修正 %d 个异常.';
+$lang['%d anomaly has been detected.'] = '发现了%d个异常.';
+$lang['%d anomalies have been detected.'] = '发现了%d个异常.';
+$lang['%d anomaly has been corrected.'] = '修复了%d个异常.';
+$lang['%d anomalies have been detected corrected.'] = '修复了%d个异常.';
+$lang['%d anomaly has not been corrected.'] = '%d个异常未能被修复.';
+$lang['%d anomalies have not been corrected.'] = '%d个异常未能被修复.';
 $lang['Go to %s or %s for more informations'] = '获取更多信息，请到 %s 或者 %s ';
 $lang['the forum'] = '论坛';
 $lang['the wiki'] = 'wiki';
-$lang['%s value is not correct file because exif are not supported'] = ' %s 值不是一个正确文件，因为我们不支持exif格式';
-$lang['%s must be to set to false in your local/config/config.inc.php file'] = '在配置文件config_local.inc.php中 %s 应该设置为"false"';
+$lang['%s value is not correct file because exif are not supported'] = '%s 值不正确，因为不支持exif';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '在配置文件local/config/config.inc.php中，%s必须设置为"false"';
 $lang['Main "guest" user does not exist'] = '主要"guest"用户不存在';
 $lang['Main "guest" user status is incorrect'] = '主要"guest"用户状态异常';
@@ -451,5 +451,5 @@
 // --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = '不显示缩略图';
-$lang['Classic display'] = '正常显示';
+$lang['Classic display'] = '经典显示界面';
 $lang['Hoverbox display'] = '俯瞰显示';
 $lang['Mail address is obligatory for all users'] = '每个用户必须提供邮箱地址';
@@ -462,14 +462,14 @@
 $lang['Level 8'] = '管理员';
 $lang['Reinitialize check integrity'] = '重新完整性检查';
-$lang['Check all'] = '全选';
+$lang['Check all'] = '检查所有';
 $lang['Uncheck all'] = '取消全选';
-$lang['Check automatic corrections'] = '自动选择';
-$lang['Apply selected corrections'] = '应用自动选择';
+$lang['Check automatic corrections'] = '检查自动修复';
+$lang['Apply selected corrections'] = '应用选中的修复';
 $lang['Ignore selected anomalies'] = '忽视选择异常';
 $lang['Refresh'] = '刷新';
 $lang['The anomaly will be ignored until next application version'] = '此异常将被忽略，待下次版本中解决';
 $lang['Correction the anomaly will cancel the fact that it\'s ignored'] = '异常更正将取消忽略事件';
-$lang['%d anomaly has been ignored.'] = '%d 异常被忽略.';
-$lang['%d anomalies have been ignored.'] = '%d 异常被忽略.';
+$lang['%d anomaly has been ignored.'] = '%d个异常已被忽略.';
+$lang['%d anomalies have been ignored.'] = '%d个异常已被忽略.';
 $lang['Plugins which need upgrade'] = '必须更新插件';
 $lang['Plugin list'] = '插件列表';
@@ -477,7 +477,7 @@
 $lang['Other plugins'] = '其他插件';
 $lang['Last revisions'] = '最新修订版';
-$lang['Are you sure you want to install this plugin?'] = '确定安装此插件吗?';
-$lang['Are you sure you want to delete this plugin?'] = '确定要删除此插件吗?';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '确定安装此更新吗? 您必须核实无需卸载操作再进行安装此更新.';
+$lang['Are you sure you want to install this plugin?'] = '确定要安装此插件？';
+$lang['Are you sure you want to delete this plugin?'] = '确定要删除此插件？';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '确定安装此更新？您必须确定此版本是否无需先进行卸载操作。';
 $lang['Plugin has been successfully copied'] = '插件复制成功.';
 $lang['You might go to plugin list to install and activate it.'] = '在插件列表中安装和启动插件.';
@@ -485,5 +485,5 @@
 $lang['Can\'t download archive.'] = '无法下载归档文件.';
 $lang['Can\'t read or extract archive.'] = '无法读取或解压归档文件.';
-$lang['An error occured during extraction (%s).'] = '在解压文件(%s) 发生错误.';
+$lang['An error occured during extraction (%s).'] = '在解压文件(%s)时发生错误.';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = '请核实"plugins"文件夹及其子文件夹的权限(CHMOD).';
 $lang['Can\'t connect to server.'] = '无法连接到服务器.';
@@ -491,9 +491,9 @@
 $lang['Support'] = '支持';
 $lang['Documentation'] = '文档';
-$lang['ACCESS_0'] = '自由存取';
+$lang['ACCESS_0'] = '自由访问';
 $lang['ACCESS_1'] = '对所有人开放';
 $lang['ACCESS_2'] = '只对注册用户开放';
 $lang['ACCESS_3'] = '只对管理员开放';
-$lang['ACCESS_4'] = '只对网管开放';
+$lang['ACCESS_4'] = '只对站长开放';
 $lang['ACCESS_5'] = '对任何人都不开放';
 $lang['A new version of Piwigo is available.'] = 'Piwigo新版发布.';
@@ -527,6 +527,6 @@
 $lang['No photo can be deleted'] = '没有图片可以删除';
 $lang['Delete selected photos'] = '删除图片';
-$lang['%d photo was deleted'] = '%d 图片被删除';
-$lang['%d photos were deleted'] = '%d 图片被删除';
+$lang['%d photo was deleted'] = '%d张图片已被删除';
+$lang['%d photos were deleted'] = '%d张图片已被删除';
 $lang['Downloads'] = '下载';
 $lang['Released on'] = '发布于';
@@ -541,5 +541,5 @@
 $lang['Email administrators when a comment is modified'] = '当评论被修改后，发邮件通知管理员';
 $lang['Email administrators when a comment is deleted'] = '当评论被删除后，发邮件通知管理员';
-$lang['Cannot delete the old permalink !'] = '旧的固定链接不能被删除!';
+$lang['Cannot delete the old permalink !'] = '旧的固定链接无法删除!';
 $lang['Hit'] = '点击';
 $lang['Tools'] = '工具';
@@ -548,5 +548,5 @@
 $lang['Instructions to use Piwigo'] = 'Piwigo 使用指南';
 $lang['Installed Themes'] = '安装主题';
-$lang['Add New Theme'] = '添加一个新主题';
+$lang['Add New Theme'] = '添加新主题';
 $lang['Forbid this theme to users'] = '禁用此主题';
 $lang['Set as default theme for unregistered and new users'] = '设置为未注册者和新用户的默认主题';
@@ -560,9 +560,9 @@
 $lang['create a new album'] = '创建一个新相册';
 $lang['Album name'] = '相册名称';
-$lang['Album "%s" has been added'] = '类别 "%s" 已添加';
+$lang['Album "%s" has been added'] = '相册 "%s" 已添加';
 $lang['Uploaded Photos'] = '图片已上传';
-$lang['%d photos uploaded'] = '%d 图片已上传';
+$lang['%d photos uploaded'] = '%d张图片已上传';
 $lang['Privacy level set to "%s"'] = '私有级别设置为 "%s"';
-$lang['Album "%s" now contains %d photos'] = '类别 "%s" 现已包含了 %d 图片';
+$lang['Album "%s" now contains %d photos'] = '相册 "%s" 现已包含了 %d 张图片';
 $lang['Manage this set of %d photos'] = '管理此设置的 %d 张照片 ';
 $lang['Select files'] = '选择文件';
@@ -577,8 +577,8 @@
 $lang['Save Settings'] = '保存设置';
 $lang['Your configuration settings are saved'] = '您的设置已保存';
-$lang['Active Themes'] = '已激活的主题';
+$lang['Active Themes'] = '启用的主题';
 $lang['Add write access to the "%s" directory'] = '为 "%s" 目录添加写权限';
 $lang['Administration Home'] = '管理员首页';
-$lang['Change Admin Colors'] = '更改管理员后台颜色';
+$lang['Change Admin Colors'] = '更改后台颜色';
 $lang['Delete this theme'] = '删除此主题';
 $lang['Directory does not exist'] = '目录不存在';
@@ -604,7 +604,7 @@
 $lang['Main Page'] = '主页';
 $lang['Photo Page'] = '图片页';
-$lang['Activate Navigation Bar'] = '激活导航条';
-$lang['Activate Navigation Thumbnails'] = '激活缩略图导航';
-$lang['Activate icon "%s"'] = '激活图标 "%s"';
+$lang['Activate Navigation Bar'] = '启用导航条';
+$lang['Activate Navigation Thumbnails'] = '启用缩略图导航';
+$lang['Activate icon "%s"'] = '启用图标 "%s"';
 $lang['Photo Properties'] = '图片属性';
 $lang['Allow user customization'] = '允许用户自定义';
@@ -621,5 +621,5 @@
 $lang['Allow rating'] = '允许投票';
 $lang['Select at least one comment'] = '选择最新一个评论';
-$lang['Active Plugins'] = '激活插件';
+$lang['Active Plugins'] = '启用的插件';
 $lang['Inactive Plugins'] = '停用插件';
 $lang['Missing Plugins'] = '丢失的插件';
@@ -627,5 +627,5 @@
 $lang['By %s'] = '由%s开发';
 $lang['Visit plugin site'] = '浏览插件网站';
-$lang['Active Languages'] = '激活语言';
+$lang['Active Languages'] = '启用的语言';
 $lang['Delete this language'] = '删除此语言';
 $lang['Forbid this language to users'] = '禁止用户使用此语言';
@@ -667,6 +667,6 @@
 $lang['Unknown upload error'] = '未知上传错误';
 $lang['Error on file "%s" : %s'] = '文件上的错误 "%s" : %s';
-$lang['%d of %d photos selected'] = '%d 张/总 %d 图片被选中';
-$lang['Action'] = '动作';
+$lang['%d of %d photos selected'] = '%d 张图片被选中 / 共 %d 张';
+$lang['Action'] = '操作';
 $lang['Add a filter'] = '添加一个过滤器';
 $lang['Album photos associated to the following albums: %s'] = '图片已关联到以下相册: %s';
@@ -676,5 +676,5 @@
 $lang['automatic order'] = '自动排序';
 $lang['Batch Manager'] = '批量管理';
-$lang['Choose an action'] = '选择一个动作';
+$lang['Choose an action'] = '选择一项操作';
 $lang['Delete orphan tags'] = '删除没被关联的标签';
 $lang['delete photo'] = '删除图片';
@@ -706,7 +706,7 @@
 $lang['Themes which need upgrade'] = '需更新的主题';
 $lang['Languages which need upgrade'] = '需要更新的语言';
-$lang['All themes are up to date.'] = '所有主题已更新了.';
-$lang['All plugins are up to date.'] = '所有插件已更新了.';
-$lang['All languages are up to date.'] = '所有语言已更新了.';
+$lang['All themes are up to date.'] = '所有主题已更新.';
+$lang['All plugins are up to date.'] = '所有插件已更新.';
+$lang['All languages are up to date.'] = '所有语言已更新.';
 $lang['Visit theme site'] = '浏览主题网站';
 $lang['Visit language site'] = '浏览语言网站';
@@ -730,5 +730,5 @@
 $lang['Average rate'] = "平均分";
 $lang['Rate'] = "比率";
-$lang['Activate icon "new" next to albums and pictures'] = '激活相册和图片旁边的"新建"图标';
+$lang['Activate icon "new" next to albums and pictures'] = '启用相册和图片旁边的"new"图标';
 $lang['Add a criteria'] = '添加一个条件';
 $lang['Deactivate all'] = '解除所有';
@@ -740,6 +740,6 @@
 $lang['Thumbnails generation in progress...'] = '正在生成缩略图...';
 $lang['Photos generation in progress...'] = '正在生成图片...';
-$lang['%s photos have been regenerated'] = '%s 图片已被生成';
-$lang['%s photos can not be regenerated'] = '%s 图片不能被生成';
+$lang['%s photos have been regenerated'] = '%s张图片已生成';
+$lang['%s photos can not be regenerated'] = '%s张图片不能被生成';
 $lang['Update in progress... Please wait.'] = '正在更新... 请稍等.';
 $lang['Ignore this update'] = '忽略此更新';
@@ -779,6 +779,6 @@
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = '您在使用网页上传方式，出问题了?请尝试<a href="%s">Flash上传工具</a>。';
 $lang['Maximum file size: %sB.'] = '文件最大尺寸: %sB.';
-$lang['Allowed file types: %s.'] = '可上传的文件类型: %s.';
-$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '近乎最大的分辨率: %dM 像素 (that\'s %dx%d pixels).';
+$lang['Allowed file types: %s.'] = '允许的文件类型: %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '最大的分辨率约: %dM 像素 (即 %dx%d 像素).';
 $lang['Manage Permissions'] = '管理查看权限';
 $lang['Learn more'] = '了解更多';
@@ -795,13 +795,13 @@
 $lang['Select at least two tags for merging'] = '请选择2个以上的标签合并';
 $lang['Select an album'] = '选择一个相册';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '默认选项中，Piwigo将根据您相册中的高清图片（HD）创建一个新的网页尺寸。';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '默认情况下，Piwigo将根据您的图片的HD（高清）版本为图片创建一个新的网页尺寸。';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '若无高清图片或当前网页尺寸大于重置标准，Piwigo会自动将其作为高清图片进行尺寸重置。';
 $lang['An error has occured during upgrade.'] = '在升级过程中出现了一个错误.';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在解压程序时出现了一个错误。请检查您 piwigo 安装文件的读写权限.<br><a href="%s">点击此查看错误日志</a>.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在解压程序时出现了一个错误。请检查您 piwigo 安装文件的读写权限.<br><a href="%s">点此查看错误日志</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo 不能从服务器中获取升级文件';
 $lang['%s has been successfully updated.'] = '成功更新了%s';
-$lang['Activate comments'] = '激活评论';
+$lang['Activate comments'] = '启用评论';
 $lang['Add tags'] = '添加标签';
-$lang['Add to caddie'] = '添加';
+$lang['Add to caddie'] = '添加到标记图片库';
 $lang['Default comments order'] = '默认评论顺序';
 $lang['Last import'] = '最后导入';
@@ -834,10 +834,10 @@
 $lang['This album contains no photo.'] = '相册中没有图片';
 $lang['Unlock gallery'] = '解锁相册';
-$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android版</em> 允许您从您的 Android手机或平板电脑连接到Piwigo，创建相册和一次上传多张照片。';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS版</em> 允许您从您的iPhone，iPad或iPod Touch连接到Piwigo，创建相册和一次上传多张照片。';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android版</em> 允许您从Android手机或平板电脑连接到您的Piwigo相册，方便您随时随地创建相册和上传照片。';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS版</em> 允许您从iPhone、iPad或iPod Touch连接到您的Piwigo相册，方便您随时随地创建相册和上传照片。';
 $lang['Applications'] = '应用程序';
 $lang['apply automatic sort order'] = '应用自动排序';
 $lang['Automatic sort order'] = '自动排序';
-$lang['Available on'] = '可用';
+$lang['Available on'] = '可用在';
 $lang['Available versions for'] = '可用版本';
 $lang['cancel manual order'] = '取消手动排序';
@@ -850,5 +850,5 @@
 $lang['You can activate only one mobile theme.'] = '你只能激活一套手机版主题';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '用户 %u 因为在有权限的组中, 所以自动获得权限。';
-$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe公司的Photoshop Lightroom是图片处理软件, 用来管理大量的数字图像和做后期制作工作。';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe公司的Photoshop Lightroom是一款图片处理软件，用于管理大量的数字图像和后期制作工作。';
 $lang['any visitor can see this album'] = '任何游客都可以访问此相册';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture是Mac上一个功能强大的图片管理、编辑工具。';
@@ -881,5 +881,5 @@
 $lang['Apply watermark if height is bigger than'] = '如果高度大于此值则添加水印';
 $lang['Apply watermark if width is bigger than'] = '如果宽度大于此值则添加水印';
-$lang['By default, the center of interest is placed in the middle of the photo.'] = '默认情况下，兴趣中心是摆在中间的照片。';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = '默认情况下，兴趣中心置于图片的中心。';
 $lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '对于剪裁照片大小，如“正方形”，Piwigo将竭尽所能的包括兴趣中心。';
 $lang['No group is permitted to see this private album'] = '没有可以访问这个私有相册的权限组';